;=========================================================;
;                                                         ;
;  ntstatus.inc for Easy Code 2.0 SolAsm 32-bit drivers   ;
;                     (version 1.0.0)                     ;
;                                                         ;
;              Copyright  Ramon Sala - 2018              ;
;                                                         ;
;=========================================================;

#ifndef NTSTATUS_INC
NTSTATUS_INC equ 1

STATUS_SUCCESS                                                          equ     000000000H
FACILITY_VOLMGR                                                         equ     000000038H
FACILITY_VIRTUALIZATION                                                 equ     000000037H
FACILITY_VIDEO                                                          equ     00000001BH
FACILITY_USB_ERROR_CODE                                                 equ     000000010H
FACILITY_TRANSACTION                                                    equ     000000019H
FACILITY_TERMINAL_SERVER                                                equ     00000000AH
FACILITY_SXS_ERROR_CODE                                                 equ     000000015H
FACILITY_NTSSPI                                                         equ     000000009H
FACILITY_RPC_STUBS                                                      equ     000000003H
FACILITY_RPC_RUNTIME                                                    equ     000000002H
FACILITY_NTWIN32                                                        equ     000000007H
FACILITY_NDIS_ERROR_CODE                                                equ     000000023H
FACILTIY_MUI_ERROR_CODE                                                 equ     00000000BH
FACILITY_MONITOR                                                        equ     00000001DH
#ifndef FACILITY_MAXIMUM_VALUE_DEF
    FACILITY_MAXIMUM_VALUE_DEF equ 1
    FACILITY_MAXIMUM_VALUE                                              equ     00000003AH
#endif
FACILITY_IPSEC                                                          equ     000000036H
FACILITY_IO_ERROR_CODE                                                  equ     000000004H
FACILITY_HYPERVISOR                                                     equ     000000035H
FACILITY_HID_ERROR_CODE                                                 equ     000000011H
FACILITY_GRAPHICS_KERNEL                                                equ     00000001EH
FACILITY_FWP_ERROR_CODE                                                 equ     000000022H
FACILITY_FVE_ERROR_CODE                                                 equ     000000021H
FACILITY_FIREWIRE_ERROR_CODE                                            equ     000000012H
FACILITY_FILTER_MANAGER                                                 equ     00000001CH
FACILITY_DRIVER_FRAMEWORK                                               equ     000000020H
FACILITY_DEBUGGER                                                       equ     000000001H
FACILITY_COMMONLOG                                                      equ     00000001AH
FACILITY_CLUSTER_ERROR_CODE                                             equ     000000013H
FACILITY_BCD_ERROR_CODE                                                 equ     000000039H
FACILITY_ACPI_ERROR_CODE                                                equ     000000014H
STATUS_SEVERITY_WARNING                                                 equ     000000002H
STATUS_SEVERITY_SUCCESS                                                 equ     000000000H
STATUS_SEVERITY_INFORMATIONAL                                           equ     000000001H
STATUS_SEVERITY_ERROR                                                   equ     000000003H
STATUS_WAIT_0                                                           equ     000000000H
STATUS_WAIT_1                                                           equ     000000001H
STATUS_WAIT_2                                                           equ     000000002H
STATUS_WAIT_3                                                           equ     000000003H
STATUS_WAIT_63                                                          equ     00000003FH
STATUS_ABANDONED                                                        equ     000000080H
STATUS_ABANDONED_WAIT_0                                                 equ     000000080H
STATUS_ABANDONED_WAIT_63                                                equ     0000000BFH
STATUS_USER_APC                                                         equ     0000000C0H
STATUS_KERNEL_APC                                                       equ     000000100H
STATUS_ALERTED                                                          equ     000000101H
STATUS_TIMEOUT                                                          equ     000000102H
STATUS_PENDING                                                          equ     000000103H
STATUS_REPARSE                                                          equ     000000104H
STATUS_MORE_ENTRIES                                                     equ     000000105H
STATUS_NOT_ALL_ASSIGNED                                                 equ     000000106H
STATUS_SOME_NOT_MAPPED                                                  equ     000000107H
STATUS_OPLOCK_BREAK_IN_PROGRESS                                         equ     000000108H
STATUS_VOLUME_MOUNTED                                                   equ     000000109H
STATUS_RXACT_COMMITTED                                                  equ     00000010AH
STATUS_NOTIFY_CLEANUP                                                   equ     00000010BH
STATUS_NOTIFY_ENUM_DIR                                                  equ     00000010CH
STATUS_NO_QUOTAS_FOR_ACCOUNT                                            equ     00000010DH
STATUS_PRIMARY_TRANSPORT_CONNECT_FAILED                                 equ     00000010EH
STATUS_PAGE_FAULT_TRANSITION                                            equ     000000110H
STATUS_PAGE_FAULT_DEMAND_ZERO                                           equ     000000111H
STATUS_PAGE_FAULT_COPY_ON_WRITE                                         equ     000000112H
STATUS_PAGE_FAULT_GUARD_PAGE                                            equ     000000113H
STATUS_PAGE_FAULT_PAGING_FILE                                           equ     000000114H
STATUS_CACHE_PAGE_LOCKED                                                equ     000000115H
STATUS_CRASH_DUMP                                                       equ     000000116H
STATUS_BUFFER_ALL_ZEROS                                                 equ     000000117H
STATUS_REPARSE_OBJECT                                                   equ     000000118H
STATUS_RESOURCE_REQUIREMENTS_CHANGED                                    equ     000000119H
STATUS_TRANSLATION_COMPLETE                                             equ     000000120H
STATUS_DS_MEMBERSHIP_EVALUATED_LOCALLY                                  equ     000000121H
STATUS_NOTHING_TO_TERMINATE                                             equ     000000122H
STATUS_PROCESS_NOT_IN_JOB                                               equ     000000123H
STATUS_PROCESS_IN_JOB                                                   equ     000000124H
STATUS_VOLSNAP_HIBERNATE_READY                                          equ     000000125H
STATUS_FSFILTER_OP_COMPLETED_SUCCESSFULLY                               equ     000000126H
STATUS_INTERRUPT_VECTOR_ALREADY_CONNECTED                               equ     000000127H
STATUS_INTERRUPT_STILL_CONNECTED                                        equ     000000128H
STATUS_PROCESS_CLONED                                                   equ     000000129H
STATUS_FILE_LOCKED_WITH_ONLY_READERS                                    equ     00000012AH
STATUS_FILE_LOCKED_WITH_WRITERS                                         equ     00000012BH
STATUS_RESOURCEMANAGER_READ_ONLY                                        equ     000000202H
STATUS_RING_PREVIOUSLY_EMPTY                                            equ     000000210H
STATUS_RING_PREVIOUSLY_FULL                                             equ     000000211H
STATUS_RING_PREVIOUSLY_ABOVE_QUOTA                                      equ     000000212H
STATUS_RING_NEWLY_EMPTY                                                 equ     000000213H
STATUS_RING_SIGNAL_OPPOSITE_ENDPOINT                                    equ     000000214H
DBG_EXCEPTION_HANDLED                                                   equ     000010001H
DBG_CONTINUE                                                            equ     000010002H
STATUS_FLT_IO_COMPLETE                                                  equ     0001C0001H
STATUS_OBJECT_NAME_EXISTS                                               equ     040000000H
STATUS_THREAD_WAS_SUSPENDED                                             equ     040000001H
STATUS_WORKING_SET_LIMIT_RANGE                                          equ     040000002H
STATUS_IMAGE_NOT_AT_BASE                                                equ     040000003H
STATUS_RXACT_STATE_CREATED                                              equ     040000004H
STATUS_SEGMENT_NOTIFICATION                                             equ     040000005H
STATUS_LOCAL_USER_SESSION_KEY                                           equ     040000006H
STATUS_BAD_CURRENT_DIRECTORY                                            equ     040000007H
STATUS_SERIAL_MORE_WRITES                                               equ     040000008H
STATUS_REGISTRY_RECOVERED                                               equ     040000009H
STATUS_FT_READ_RECOVERY_FROM_BACKUP                                     equ     04000000AH
STATUS_FT_WRITE_RECOVERY                                                equ     04000000BH
STATUS_SERIAL_COUNTER_TIMEOUT                                           equ     04000000CH
STATUS_NULL_LM_PASSWORD                                                 equ     04000000DH
STATUS_IMAGE_MACHINE_TYPE_MISMATCH                                      equ     04000000EH
STATUS_RECEIVE_PARTIAL                                                  equ     04000000FH
STATUS_RECEIVE_EXPEDITED                                                equ     040000010H
STATUS_RECEIVE_PARTIAL_EXPEDITED                                        equ     040000011H
STATUS_EVENT_DONE                                                       equ     040000012H
STATUS_EVENT_PENDING                                                    equ     040000013H
STATUS_CHECKING_FILE_SYSTEM                                             equ     040000014H
STATUS_FATAL_APP_EXIT                                                   equ     040000015H
STATUS_PREDEFINED_HANDLE                                                equ     040000016H
STATUS_WAS_UNLOCKED                                                     equ     040000017H
STATUS_SERVICE_NOTIFICATION                                             equ     040000018H
STATUS_WAS_LOCKED                                                       equ     040000019H
STATUS_LOG_HARD_ERROR                                                   equ     04000001AH
STATUS_ALREADY_WIN32                                                    equ     04000001BH
STATUS_WX86_UNSIMULATE                                                  equ     04000001CH
STATUS_WX86_CONTINUE                                                    equ     04000001DH
STATUS_WX86_SINGLE_STEP                                                 equ     04000001EH
STATUS_WX86_BREAKPOINT                                                  equ     04000001FH
STATUS_WX86_EXCEPTION_CONTINUE                                          equ     040000020H
STATUS_WX86_EXCEPTION_LASTCHANCE                                        equ     040000021H
STATUS_WX86_EXCEPTION_CHAIN                                             equ     040000022H
STATUS_IMAGE_MACHINE_TYPE_MISMATCH_EXE                                  equ     040000023H
STATUS_NO_YIELD_PERFORMED                                               equ     040000024H
STATUS_TIMER_RESUME_IGNORED                                             equ     040000025H
STATUS_ARBITRATION_UNHANDLED                                            equ     040000026H
STATUS_CARDBUS_NOT_SUPPORTED                                            equ     040000027H
STATUS_WX86_CREATEWX86TIB                                               equ     040000028H
STATUS_MP_PROCESSOR_MISMATCH                                            equ     040000029H
STATUS_HIBERNATED                                                       equ     04000002AH
STATUS_RESUME_HIBERNATION                                               equ     04000002BH
STATUS_FIRMWARE_UPDATED                                                 equ     04000002CH
STATUS_DRIVERS_LEAKING_LOCKED_PAGES                                     equ     04000002DH
STATUS_MESSAGE_RETRIEVED                                                equ     04000002EH
STATUS_SYSTEM_POWERSTATE_TRANSITION                                     equ     04000002FH
STATUS_ALPC_CHECK_COMPLETION_LIST                                       equ     040000030H
STATUS_SYSTEM_POWERSTATE_COMPLEX_TRANSITION                             equ     040000031H
STATUS_ACCESS_AUDIT_BY_POLICY                                           equ     040000032H
STATUS_ABANDON_HIBERFILE                                                equ     040000033H
STATUS_BIZRULES_NOT_ENABLED                                             equ     040000034H
DBG_REPLY_LATER                                                         equ     040010001H
DBG_UNABLE_TO_PROVIDE_HANDLE                                            equ     040010002H
DBG_TERMINATE_THREAD                                                    equ     040010003H
DBG_TERMINATE_PROCESS                                                   equ     040010004H
DBG_CONTROL_C                                                           equ     040010005H
DBG_PRINTEXCEPTION_C                                                    equ     040010006H
DBG_RIPEXCEPTION                                                        equ     040010007H
DBG_CONTROL_BREAK                                                       equ     040010008H
DBG_COMMAND_EXCEPTION                                                   equ     040010009H
STATUS_FLT_BUFFER_TOO_SMALL                                             equ     0801C0001H
STATUS_GUARD_PAGE_VIOLATION                                             equ     080000001H
STATUS_DATATYPE_MISALIGNMENT                                            equ     080000002H
STATUS_BREAKPOINT                                                       equ     080000003H
STATUS_SINGLE_STEP                                                      equ     080000004H
STATUS_BUFFER_OVERFLOW                                                  equ     080000005H
STATUS_NO_MORE_FILES                                                    equ     080000006H
STATUS_WAKE_SYSTEM_DEBUGGER                                             equ     080000007H
STATUS_HANDLES_CLOSED                                                   equ     08000000AH
STATUS_NO_INHERITANCE                                                   equ     08000000BH
STATUS_GUID_SUBSTITUTION_MADE                                           equ     08000000CH
STATUS_PARTIAL_COPY                                                     equ     08000000DH
STATUS_DEVICE_PAPER_EMPTY                                               equ     08000000EH
STATUS_DEVICE_POWERED_OFF                                               equ     08000000FH
STATUS_DEVICE_OFF_LINE                                                  equ     080000010H
STATUS_DEVICE_BUSY                                                      equ     080000011H
STATUS_NO_MORE_EAS                                                      equ     080000012H
STATUS_INVALID_EA_NAME                                                  equ     080000013H
STATUS_EA_LIST_INCONSISTENT                                             equ     080000014H
STATUS_INVALID_EA_FLAG                                                  equ     080000015H
STATUS_VERIFY_REQUIRED                                                  equ     080000016H
STATUS_EXTRANEOUS_INFORMATION                                           equ     080000017H
STATUS_RXACT_COMMIT_NECESSARY                                           equ     080000018H
STATUS_NO_MORE_ENTRIES                                                  equ     08000001AH
STATUS_FILEMARK_DETECTED                                                equ     08000001BH
STATUS_MEDIA_CHANGED                                                    equ     08000001CH
STATUS_BUS_RESET                                                        equ     08000001DH
STATUS_END_OF_MEDIA                                                     equ     08000001EH
STATUS_BEGINNING_OF_MEDIA                                               equ     08000001FH
STATUS_MEDIA_CHECK                                                      equ     080000020H
STATUS_SETMARK_DETECTED                                                 equ     080000021H
STATUS_NO_DATA_DETECTED                                                 equ     080000022H
STATUS_REDIRECTOR_HAS_OPEN_HANDLES                                      equ     080000023H
STATUS_SERVER_HAS_OPEN_HANDLES                                          equ     080000024H
STATUS_ALREADY_DISCONNECTED                                             equ     080000025H
STATUS_LONGJUMP                                                         equ     080000026H
STATUS_CLEANER_CARTRIDGE_INSTALLED                                      equ     080000027H
STATUS_PLUGPLAY_QUERY_VETOED                                            equ     080000028H
STATUS_UNWIND_CONSOLIDATE                                               equ     080000029H
STATUS_REGISTRY_HIVE_RECOVERED                                          equ     08000002AH
STATUS_DLL_MIGHT_BE_INSECURE                                            equ     08000002BH
STATUS_DLL_MIGHT_BE_INCOMPATIBLE                                        equ     08000002CH
STATUS_STOPPED_ON_SYMLINK                                               equ     08000002DH
DBG_EXCEPTION_NOT_HANDLED                                               equ     080010001H
STATUS_CLUSTER_NODE_ALREADY_UP                                          equ     080130001H
STATUS_CLUSTER_NODE_ALREADY_DOWN                                        equ     080130002H
STATUS_CLUSTER_NETWORK_ALREADY_ONLINE                                   equ     080130003H
STATUS_CLUSTER_NETWORK_ALREADY_OFFLINE                                  equ     080130004H
STATUS_CLUSTER_NODE_ALREADY_MEMBER                                      equ     080130005H
STATUS_FVE_PARTIAL_METADATA                                             equ     080210001H
STATUS_UNSUCCESSFUL                                                     equ     0C0000001H
STATUS_NOT_IMPLEMENTED                                                  equ     0C0000002H
STATUS_INVALID_INFO_CLASS                                               equ     0C0000003H
STATUS_INFO_LENGTH_MISMATCH                                             equ     0C0000004H
STATUS_ACCESS_VIOLATION                                                 equ     0C0000005H
STATUS_IN_PAGE_ERROR                                                    equ     0C0000006H
STATUS_PAGEFILE_QUOTA                                                   equ     0C0000007H
STATUS_INVALID_HANDLE                                                   equ     0C0000008H
STATUS_BAD_INITIAL_STACK                                                equ     0C0000009H
STATUS_BAD_INITIAL_PC                                                   equ     0C000000AH
STATUS_INVALID_CID                                                      equ     0C000000BH
STATUS_TIMER_NOT_CANCELED                                               equ     0C000000CH
STATUS_INVALID_PARAMETER                                                equ     0C000000DH
STATUS_NO_SUCH_DEVICE                                                   equ     0C000000EH
STATUS_NO_SUCH_FILE                                                     equ     0C000000FH
STATUS_INVALID_DEVICE_REQUEST                                           equ     0C0000010H
STATUS_END_OF_FILE                                                      equ     0C0000011H
STATUS_WRONG_VOLUME                                                     equ     0C0000012H
STATUS_NO_MEDIA_IN_DEVICE                                               equ     0C0000013H
STATUS_UNRECOGNIZED_MEDIA                                               equ     0C0000014H
STATUS_NONEXISTENT_SECTOR                                               equ     0C0000015H
STATUS_MORE_PROCESSING_REQUIRED                                         equ     0C0000016H
STATUS_NO_MEMORY                                                        equ     0C0000017H
STATUS_CONFLICTING_ADDRESSES                                            equ     0C0000018H
STATUS_NOT_MAPPED_VIEW                                                  equ     0C0000019H
STATUS_UNABLE_TO_FREE_VM                                                equ     0C000001AH
STATUS_UNABLE_TO_DELETE_SECTION                                         equ     0C000001BH
STATUS_INVALID_SYSTEM_SERVICE                                           equ     0C000001CH
STATUS_ILLEGAL_INSTRUCTION                                              equ     0C000001DH
STATUS_INVALID_LOCK_SEQUENCE                                            equ     0C000001EH
STATUS_INVALID_VIEW_SIZE                                                equ     0C000001FH
STATUS_INVALID_FILE_FOR_SECTION                                         equ     0C0000020H
STATUS_ALREADY_COMMITTED                                                equ     0C0000021H
STATUS_ACCESS_DENIED                                                    equ     0C0000022H
STATUS_BUFFER_TOO_SMALL                                                 equ     0C0000023H
STATUS_OBJECT_TYPE_MISMATCH                                             equ     0C0000024H
STATUS_NONCONTINUABLE_EXCEPTION                                         equ     0C0000025H
STATUS_INVALID_DISPOSITION                                              equ     0C0000026H
STATUS_UNWIND                                                           equ     0C0000027H
STATUS_BAD_STACK                                                        equ     0C0000028H
STATUS_INVALID_UNWIND_TARGET                                            equ     0C0000029H
STATUS_NOT_LOCKED                                                       equ     0C000002AH
STATUS_PARITY_ERROR                                                     equ     0C000002BH
STATUS_UNABLE_TO_DECOMMIT_VM                                            equ     0C000002CH
STATUS_NOT_COMMITTED                                                    equ     0C000002DH
STATUS_INVALID_PORT_ATTRIBUTES                                          equ     0C000002EH
STATUS_PORT_MESSAGE_TOO_LONG                                            equ     0C000002FH
STATUS_INVALID_PARAMETER_MIX                                            equ     0C0000030H
STATUS_INVALID_QUOTA_LOWER                                              equ     0C0000031H
STATUS_DISK_CORRUPT_ERROR                                               equ     0C0000032H
STATUS_OBJECT_NAME_INVALID                                              equ     0C0000033H
STATUS_OBJECT_NAME_NOT_FOUND                                            equ     0C0000034H
STATUS_OBJECT_NAME_COLLISION                                            equ     0C0000035H
STATUS_PORT_DISCONNECTED                                                equ     0C0000037H
STATUS_DEVICE_ALREADY_ATTACHED                                          equ     0C0000038H
STATUS_OBJECT_PATH_INVALID                                              equ     0C0000039H
STATUS_OBJECT_PATH_NOT_FOUND                                            equ     0C000003AH
STATUS_OBJECT_PATH_SYNTAX_BAD                                           equ     0C000003BH
STATUS_DATA_OVERRUN                                                     equ     0C000003CH
STATUS_DATA_LATE_ERROR                                                  equ     0C000003DH
STATUS_DATA_ERROR                                                       equ     0C000003EH
STATUS_CRC_ERROR                                                        equ     0C000003FH
STATUS_SECTION_TOO_BIG                                                  equ     0C0000040H
STATUS_PORT_CONNECTION_REFUSED                                          equ     0C0000041H
STATUS_INVALID_PORT_HANDLE                                              equ     0C0000042H
STATUS_SHARING_VIOLATION                                                equ     0C0000043H
STATUS_QUOTA_EXCEEDED                                                   equ     0C0000044H
STATUS_INVALID_PAGE_PROTECTION                                          equ     0C0000045H
STATUS_MUTANT_NOT_OWNED                                                 equ     0C0000046H
STATUS_SEMAPHORE_LIMIT_EXCEEDED                                         equ     0C0000047H
STATUS_PORT_ALREADY_SET                                                 equ     0C0000048H
STATUS_SECTION_NOT_IMAGE                                                equ     0C0000049H
STATUS_SUSPEND_COUNT_EXCEEDED                                           equ     0C000004AH
STATUS_THREAD_IS_TERMINATING                                            equ     0C000004BH
STATUS_BAD_WORKING_SET_LIMIT                                            equ     0C000004CH
STATUS_INCOMPATIBLE_FILE_MAP                                            equ     0C000004DH
STATUS_SECTION_PROTECTION                                               equ     0C000004EH
STATUS_EAS_NOT_SUPPORTED                                                equ     0C000004FH
STATUS_EA_TOO_LARGE                                                     equ     0C0000050H
STATUS_NONEXISTENT_EA_ENTRY                                             equ     0C0000051H
STATUS_NO_EAS_ON_FILE                                                   equ     0C0000052H
STATUS_EA_CORRUPT_ERROR                                                 equ     0C0000053H
STATUS_FILE_LOCK_CONFLICT                                               equ     0C0000054H
STATUS_LOCK_NOT_GRANTED                                                 equ     0C0000055H
STATUS_DELETE_PENDING                                                   equ     0C0000056H
STATUS_CTL_FILE_NOT_SUPPORTED                                           equ     0C0000057H
STATUS_UNKNOWN_REVISION                                                 equ     0C0000058H
STATUS_REVISION_MISMATCH                                                equ     0C0000059H
STATUS_INVALID_OWNER                                                    equ     0C000005AH
STATUS_INVALID_PRIMARY_GROUP                                            equ     0C000005BH
STATUS_NO_IMPERSONATION_TOKEN                                           equ     0C000005CH
STATUS_CANT_DISABLE_MANDATORY                                           equ     0C000005DH
STATUS_NO_LOGON_SERVERS                                                 equ     0C000005EH
STATUS_NO_SUCH_LOGON_SESSION                                            equ     0C000005FH
STATUS_NO_SUCH_PRIVILEGE                                                equ     0C0000060H
STATUS_PRIVILEGE_NOT_HELD                                               equ     0C0000061H
STATUS_INVALID_ACCOUNT_NAME                                             equ     0C0000062H
STATUS_USER_EXISTS                                                      equ     0C0000063H
STATUS_NO_SUCH_USER                                                     equ     0C0000064H
STATUS_GROUP_EXISTS                                                     equ     0C0000065H
STATUS_NO_SUCH_GROUP                                                    equ     0C0000066H
STATUS_MEMBER_IN_GROUP                                                  equ     0C0000067H
STATUS_MEMBER_NOT_IN_GROUP                                              equ     0C0000068H
STATUS_LAST_ADMIN                                                       equ     0C0000069H
STATUS_WRONG_PASSWORD                                                   equ     0C000006AH
STATUS_ILL_FORMED_PASSWORD                                              equ     0C000006BH
STATUS_PASSWORD_RESTRICTION                                             equ     0C000006CH
STATUS_LOGON_FAILURE                                                    equ     0C000006DH
STATUS_ACCOUNT_RESTRICTION                                              equ     0C000006EH
STATUS_INVALID_LOGON_HOURS                                              equ     0C000006FH
STATUS_INVALID_WORKSTATION                                              equ     0C0000070H
STATUS_PASSWORD_EXPIRED                                                 equ     0C0000071H
STATUS_ACCOUNT_DISABLED                                                 equ     0C0000072H
STATUS_NONE_MAPPED                                                      equ     0C0000073H
STATUS_TOO_MANY_LUIDS_REQUESTED                                         equ     0C0000074H
STATUS_LUIDS_EXHAUSTED                                                  equ     0C0000075H
STATUS_INVALID_SUB_AUTHORITY                                            equ     0C0000076H
STATUS_INVALID_ACL                                                      equ     0C0000077H
STATUS_INVALID_SID                                                      equ     0C0000078H
STATUS_INVALID_SECURITY_DESCR                                           equ     0C0000079H
STATUS_PROCEDURE_NOT_FOUND                                              equ     0C000007AH
STATUS_INVALID_IMAGE_FORMAT                                             equ     0C000007BH
STATUS_NO_TOKEN                                                         equ     0C000007CH
STATUS_BAD_INHERITANCE_ACL                                              equ     0C000007DH
STATUS_RANGE_NOT_LOCKED                                                 equ     0C000007EH
STATUS_DISK_FULL                                                        equ     0C000007FH
STATUS_SERVER_DISABLED                                                  equ     0C0000080H
STATUS_SERVER_NOT_DISABLED                                              equ     0C0000081H
STATUS_TOO_MANY_GUIDS_REQUESTED                                         equ     0C0000082H
STATUS_GUIDS_EXHAUSTED                                                  equ     0C0000083H
STATUS_INVALID_ID_AUTHORITY                                             equ     0C0000084H
STATUS_AGENTS_EXHAUSTED                                                 equ     0C0000085H
STATUS_INVALID_VOLUME_LABEL                                             equ     0C0000086H
STATUS_SECTION_NOT_EXTENDED                                             equ     0C0000087H
STATUS_NOT_MAPPED_DATA                                                  equ     0C0000088H
STATUS_RESOURCE_DATA_NOT_FOUND                                          equ     0C0000089H
STATUS_RESOURCE_TYPE_NOT_FOUND                                          equ     0C000008AH
STATUS_RESOURCE_NAME_NOT_FOUND                                          equ     0C000008BH
STATUS_ARRAY_BOUNDS_EXCEEDED                                            equ     0C000008CH
STATUS_FLOAT_DENORMAL_OPERAND                                           equ     0C000008DH
STATUS_FLOAT_DIVIDE_BY_ZERO                                             equ     0C000008EH
STATUS_FLOAT_INEXACT_RESULT                                             equ     0C000008FH
STATUS_FLOAT_INVALID_OPERATION                                          equ     0C0000090H
STATUS_FLOAT_OVERFLOW                                                   equ     0C0000091H
STATUS_FLOAT_STACK_CHECK                                                equ     0C0000092H
STATUS_FLOAT_UNDERFLOW                                                  equ     0C0000093H
STATUS_INTEGER_DIVIDE_BY_ZERO                                           equ     0C0000094H
STATUS_INTEGER_OVERFLOW                                                 equ     0C0000095H
STATUS_PRIVILEGED_INSTRUCTION                                           equ     0C0000096H
STATUS_TOO_MANY_PAGING_FILES                                            equ     0C0000097H
STATUS_FILE_INVALID                                                     equ     0C0000098H
STATUS_ALLOTTED_SPACE_EXCEEDED                                          equ     0C0000099H
STATUS_INSUFFICIENT_RESOURCES                                           equ     0C000009AH
STATUS_DFS_EXIT_PATH_FOUND                                              equ     0C000009BH
STATUS_DEVICE_DATA_ERROR                                                equ     0C000009CH
STATUS_DEVICE_NOT_CONNECTED                                             equ     0C000009DH
STATUS_DEVICE_POWER_FAILURE                                             equ     0C000009EH
STATUS_FREE_VM_NOT_AT_BASE                                              equ     0C000009FH
STATUS_MEMORY_NOT_ALLOCATED                                             equ     0C00000A0H
STATUS_WORKING_SET_QUOTA                                                equ     0C00000A1H
STATUS_MEDIA_WRITE_PROTECTED                                            equ     0C00000A2H
STATUS_DEVICE_NOT_READY                                                 equ     0C00000A3H
STATUS_INVALID_GROUP_ATTRIBUTES                                         equ     0C00000A4H
STATUS_BAD_IMPERSONATION_LEVEL                                          equ     0C00000A5H
STATUS_CANT_OPEN_ANONYMOUS                                              equ     0C00000A6H
STATUS_BAD_VALIDATION_CLASS                                             equ     0C00000A7H
STATUS_BAD_TOKEN_TYPE                                                   equ     0C00000A8H
STATUS_BAD_MASTER_BOOT_RECORD                                           equ     0C00000A9H
STATUS_INSTRUCTION_MISALIGNMENT                                         equ     0C00000AAH
STATUS_INSTANCE_NOT_AVAILABLE                                           equ     0C00000ABH
STATUS_PIPE_NOT_AVAILABLE                                               equ     0C00000ACH
STATUS_INVALID_PIPE_STATE                                               equ     0C00000ADH
STATUS_PIPE_BUSY                                                        equ     0C00000AEH
STATUS_ILLEGAL_FUNCTION                                                 equ     0C00000AFH
STATUS_PIPE_DISCONNECTED                                                equ     0C00000B0H
STATUS_PIPE_CLOSING                                                     equ     0C00000B1H
STATUS_PIPE_CONNECTED                                                   equ     0C00000B2H
STATUS_PIPE_LISTENING                                                   equ     0C00000B3H
STATUS_INVALID_READ_MODE                                                equ     0C00000B4H
STATUS_IO_TIMEOUT                                                       equ     0C00000B5H
STATUS_FILE_FORCED_CLOSED                                               equ     0C00000B6H
STATUS_PROFILING_NOT_STARTED                                            equ     0C00000B7H
STATUS_PROFILING_NOT_STOPPED                                            equ     0C00000B8H
STATUS_COULD_NOT_INTERPRET                                              equ     0C00000B9H
STATUS_FILE_IS_A_DIRECTORY                                              equ     0C00000BAH
STATUS_NOT_SUPPORTED                                                    equ     0C00000BBH
STATUS_REMOTE_NOT_LISTENING                                             equ     0C00000BCH
STATUS_DUPLICATE_NAME                                                   equ     0C00000BDH
STATUS_BAD_NETWORK_PATH                                                 equ     0C00000BEH
STATUS_NETWORK_BUSY                                                     equ     0C00000BFH
STATUS_DEVICE_DOES_NOT_EXIST                                            equ     0C00000C0H
STATUS_TOO_MANY_COMMANDS                                                equ     0C00000C1H
STATUS_ADAPTER_HARDWARE_ERROR                                           equ     0C00000C2H
STATUS_INVALID_NETWORK_RESPONSE                                         equ     0C00000C3H
STATUS_UNEXPECTED_NETWORK_ERROR                                         equ     0C00000C4H
STATUS_BAD_REMOTE_ADAPTER                                               equ     0C00000C5H
STATUS_PRINT_QUEUE_FULL                                                 equ     0C00000C6H
STATUS_NO_SPOOL_SPACE                                                   equ     0C00000C7H
STATUS_PRINT_CANCELLED                                                  equ     0C00000C8H
STATUS_NETWORK_NAME_DELETED                                             equ     0C00000C9H
STATUS_NETWORK_ACCESS_DENIED                                            equ     0C00000CAH
STATUS_BAD_DEVICE_TYPE                                                  equ     0C00000CBH
STATUS_BAD_NETWORK_NAME                                                 equ     0C00000CCH
STATUS_TOO_MANY_NAMES                                                   equ     0C00000CDH
STATUS_TOO_MANY_SESSIONS                                                equ     0C00000CEH
STATUS_SHARING_PAUSED                                                   equ     0C00000CFH
STATUS_REQUEST_NOT_ACCEPTED                                             equ     0C00000D0H
STATUS_REDIRECTOR_PAUSED                                                equ     0C00000D1H
STATUS_NET_WRITE_FAULT                                                  equ     0C00000D2H
STATUS_PROFILING_AT_LIMIT                                               equ     0C00000D3H
STATUS_NOT_SAME_DEVICE                                                  equ     0C00000D4H
STATUS_FILE_RENAMED                                                     equ     0C00000D5H
STATUS_VIRTUAL_CIRCUIT_CLOSED                                           equ     0C00000D6H
STATUS_NO_SECURITY_ON_OBJECT                                            equ     0C00000D7H
STATUS_CANT_WAIT                                                        equ     0C00000D8H
STATUS_PIPE_EMPTY                                                       equ     0C00000D9H
STATUS_CANT_ACCESS_DOMAIN_INFO                                          equ     0C00000DAH
STATUS_CANT_TERMINATE_SELF                                              equ     0C00000DBH
STATUS_INVALID_SERVER_STATE                                             equ     0C00000DCH
STATUS_INVALID_DOMAIN_STATE                                             equ     0C00000DDH
STATUS_INVALID_DOMAIN_ROLE                                              equ     0C00000DEH
STATUS_NO_SUCH_DOMAIN                                                   equ     0C00000DFH
STATUS_DOMAIN_EXISTS                                                    equ     0C00000E0H
STATUS_DOMAIN_LIMIT_EXCEEDED                                            equ     0C00000E1H
STATUS_OPLOCK_NOT_GRANTED                                               equ     0C00000E2H
STATUS_INVALID_OPLOCK_PROTOCOL                                          equ     0C00000E3H
STATUS_INTERNAL_DB_CORRUPTION                                           equ     0C00000E4H
STATUS_INTERNAL_ERROR                                                   equ     0C00000E5H
STATUS_GENERIC_NOT_MAPPED                                               equ     0C00000E6H
STATUS_BAD_DESCRIPTOR_FORMAT                                            equ     0C00000E7H
STATUS_INVALID_USER_BUFFER                                              equ     0C00000E8H
STATUS_UNEXPECTED_IO_ERROR                                              equ     0C00000E9H
STATUS_UNEXPECTED_MM_CREATE_ERR                                         equ     0C00000EAH
STATUS_UNEXPECTED_MM_MAP_ERROR                                          equ     0C00000EBH
STATUS_UNEXPECTED_MM_EXTEND_ERR                                         equ     0C00000ECH
STATUS_NOT_LOGON_PROCESS                                                equ     0C00000EDH
STATUS_LOGON_SESSION_EXISTS                                             equ     0C00000EEH
STATUS_INVALID_PARAMETER_1                                              equ     0C00000EFH
STATUS_INVALID_PARAMETER_2                                              equ     0C00000F0H
STATUS_INVALID_PARAMETER_3                                              equ     0C00000F1H
STATUS_INVALID_PARAMETER_4                                              equ     0C00000F2H
STATUS_INVALID_PARAMETER_5                                              equ     0C00000F3H
STATUS_INVALID_PARAMETER_6                                              equ     0C00000F4H
STATUS_INVALID_PARAMETER_7                                              equ     0C00000F5H
STATUS_INVALID_PARAMETER_8                                              equ     0C00000F6H
STATUS_INVALID_PARAMETER_9                                              equ     0C00000F7H
STATUS_INVALID_PARAMETER_10                                             equ     0C00000F8H
STATUS_INVALID_PARAMETER_11                                             equ     0C00000F9H
STATUS_INVALID_PARAMETER_12                                             equ     0C00000FAH
STATUS_REDIRECTOR_NOT_STARTED                                           equ     0C00000FBH
STATUS_REDIRECTOR_STARTED                                               equ     0C00000FCH
STATUS_STACK_OVERFLOW                                                   equ     0C00000FDH
STATUS_NO_SUCH_PACKAGE                                                  equ     0C00000FEH
STATUS_BAD_FUNCTION_TABLE                                               equ     0C00000FFH
STATUS_VARIABLE_NOT_FOUND                                               equ     0C0000100H
STATUS_DIRECTORY_NOT_EMPTY                                              equ     0C0000101H
STATUS_FILE_CORRUPT_ERROR                                               equ     0C0000102H
STATUS_NOT_A_DIRECTORY                                                  equ     0C0000103H
STATUS_BAD_LOGON_SESSION_STATE                                          equ     0C0000104H
STATUS_LOGON_SESSION_COLLISION                                          equ     0C0000105H
STATUS_NAME_TOO_LONG                                                    equ     0C0000106H
STATUS_FILES_OPEN                                                       equ     0C0000107H
STATUS_CONNECTION_IN_USE                                                equ     0C0000108H
STATUS_MESSAGE_NOT_FOUND                                                equ     0C0000109H
STATUS_PROCESS_IS_TERMINATING                                           equ     0C000010AH
STATUS_INVALID_LOGON_TYPE                                               equ     0C000010BH
STATUS_NO_GUID_TRANSLATION                                              equ     0C000010CH
STATUS_CANNOT_IMPERSONATE                                               equ     0C000010DH
STATUS_IMAGE_ALREADY_LOADED                                             equ     0C000010EH
STATUS_ABIOS_NOT_PRESENT                                                equ     0C000010FH
STATUS_ABIOS_LID_NOT_EXIST                                              equ     0C0000110H
STATUS_ABIOS_LID_ALREADY_OWNED                                          equ     0C0000111H
STATUS_ABIOS_NOT_LID_OWNER                                              equ     0C0000112H
STATUS_ABIOS_INVALID_COMMAND                                            equ     0C0000113H
STATUS_ABIOS_INVALID_LID                                                equ     0C0000114H
STATUS_ABIOS_SELECTOR_NOT_AVAILABLE                                     equ     0C0000115H
STATUS_ABIOS_INVALID_SELECTOR                                           equ     0C0000116H
STATUS_NO_LDT                                                           equ     0C0000117H
STATUS_INVALID_LDT_SIZE                                                 equ     0C0000118H
STATUS_INVALID_LDT_OFFSET                                               equ     0C0000119H
STATUS_INVALID_LDT_DESCRIPTOR                                           equ     0C000011AH
STATUS_INVALID_IMAGE_NE_FORMAT                                          equ     0C000011BH
STATUS_RXACT_INVALID_STATE                                              equ     0C000011CH
STATUS_RXACT_COMMIT_FAILURE                                             equ     0C000011DH
STATUS_MAPPED_FILE_SIZE_ZERO                                            equ     0C000011EH
STATUS_TOO_MANY_OPENED_FILES                                            equ     0C000011FH
STATUS_CANCELLED                                                        equ     0C0000120H
STATUS_CANNOT_DELETE                                                    equ     0C0000121H
STATUS_INVALID_COMPUTER_NAME                                            equ     0C0000122H
STATUS_FILE_DELETED                                                     equ     0C0000123H
STATUS_SPECIAL_ACCOUNT                                                  equ     0C0000124H
STATUS_SPECIAL_GROUP                                                    equ     0C0000125H
STATUS_SPECIAL_USER                                                     equ     0C0000126H
STATUS_MEMBERS_PRIMARY_GROUP                                            equ     0C0000127H
STATUS_FILE_CLOSED                                                      equ     0C0000128H
STATUS_TOO_MANY_THREADS                                                 equ     0C0000129H
STATUS_THREAD_NOT_IN_PROCESS                                            equ     0C000012AH
STATUS_TOKEN_ALREADY_IN_USE                                             equ     0C000012BH
STATUS_PAGEFILE_QUOTA_EXCEEDED                                          equ     0C000012CH
STATUS_COMMITMENT_LIMIT                                                 equ     0C000012DH
STATUS_INVALID_IMAGE_LE_FORMAT                                          equ     0C000012EH
STATUS_INVALID_IMAGE_NOT_MZ                                             equ     0C000012FH
STATUS_INVALID_IMAGE_PROTECT                                            equ     0C0000130H
STATUS_INVALID_IMAGE_WIN_16                                             equ     0C0000131H
STATUS_LOGON_SERVER_CONFLICT                                            equ     0C0000132H
STATUS_TIME_DIFFERENCE_AT_DC                                            equ     0C0000133H
STATUS_SYNCHRONIZATION_REQUIRED                                         equ     0C0000134H
STATUS_DLL_NOT_FOUND                                                    equ     0C0000135H
STATUS_OPEN_FAILED                                                      equ     0C0000136H
STATUS_IO_PRIVILEGE_FAILED                                              equ     0C0000137H
STATUS_ORDINAL_NOT_FOUND                                                equ     0C0000138H
STATUS_ENTRYPOINT_NOT_FOUND                                             equ     0C0000139H
STATUS_CONTROL_C_EXIT                                                   equ     0C000013AH
STATUS_LOCAL_DISCONNECT                                                 equ     0C000013BH
STATUS_REMOTE_DISCONNECT                                                equ     0C000013CH
STATUS_REMOTE_RESOURCES                                                 equ     0C000013DH
STATUS_LINK_FAILED                                                      equ     0C000013EH
STATUS_LINK_TIMEOUT                                                     equ     0C000013FH
STATUS_INVALID_CONNECTION                                               equ     0C0000140H
STATUS_INVALID_ADDRESS                                                  equ     0C0000141H
STATUS_DLL_INIT_FAILED                                                  equ     0C0000142H
STATUS_MISSING_SYSTEMFILE                                               equ     0C0000143H
STATUS_UNHANDLED_EXCEPTION                                              equ     0C0000144H
STATUS_APP_INIT_FAILURE                                                 equ     0C0000145H
STATUS_PAGEFILE_CREATE_FAILED                                           equ     0C0000146H
STATUS_NO_PAGEFILE                                                      equ     0C0000147H
STATUS_INVALID_LEVEL                                                    equ     0C0000148H
STATUS_WRONG_PASSWORD_CORE                                              equ     0C0000149H
STATUS_ILLEGAL_FLOAT_CONTEXT                                            equ     0C000014AH
STATUS_PIPE_BROKEN                                                      equ     0C000014BH
STATUS_REGISTRY_CORRUPT                                                 equ     0C000014CH
STATUS_REGISTRY_IO_FAILED                                               equ     0C000014DH
STATUS_NO_EVENT_PAIR                                                    equ     0C000014EH
STATUS_UNRECOGNIZED_VOLUME                                              equ     0C000014FH
STATUS_SERIAL_NO_DEVICE_INITED                                          equ     0C0000150H
STATUS_NO_SUCH_ALIAS                                                    equ     0C0000151H
STATUS_MEMBER_NOT_IN_ALIAS                                              equ     0C0000152H
STATUS_MEMBER_IN_ALIAS                                                  equ     0C0000153H
STATUS_ALIAS_EXISTS                                                     equ     0C0000154H
STATUS_LOGON_NOT_GRANTED                                                equ     0C0000155H
STATUS_TOO_MANY_SECRETS                                                 equ     0C0000156H
STATUS_SECRET_TOO_LONG                                                  equ     0C0000157H
STATUS_INTERNAL_DB_ERROR                                                equ     0C0000158H
STATUS_FULLSCREEN_MODE                                                  equ     0C0000159H
STATUS_TOO_MANY_CONTEXT_IDS                                             equ     0C000015AH
STATUS_LOGON_TYPE_NOT_GRANTED                                           equ     0C000015BH
STATUS_NOT_REGISTRY_FILE                                                equ     0C000015CH
STATUS_NT_CROSS_ENCRYPTION_REQUIRED                                     equ     0C000015DH
STATUS_DOMAIN_CTRLR_CONFIG_ERROR                                        equ     0C000015EH
STATUS_FT_MISSING_MEMBER                                                equ     0C000015FH
STATUS_ILL_FORMED_SERVICE_ENTRY                                         equ     0C0000160H
STATUS_ILLEGAL_CHARACTER                                                equ     0C0000161H
STATUS_UNMAPPABLE_CHARACTER                                             equ     0C0000162H
STATUS_UNDEFINED_CHARACTER                                              equ     0C0000163H
STATUS_FLOPPY_VOLUME                                                    equ     0C0000164H
STATUS_FLOPPY_ID_MARK_NOT_FOUND                                         equ     0C0000165H
STATUS_FLOPPY_WRONG_CYLINDER                                            equ     0C0000166H
STATUS_FLOPPY_UNKNOWN_ERROR                                             equ     0C0000167H
STATUS_FLOPPY_BAD_REGISTERS                                             equ     0C0000168H
STATUS_DISK_RECALIBRATE_FAILED                                          equ     0C0000169H
STATUS_DISK_OPERATION_FAILED                                            equ     0C000016AH
STATUS_DISK_RESET_FAILED                                                equ     0C000016BH
STATUS_SHARED_IRQ_BUSY                                                  equ     0C000016CH
STATUS_FT_ORPHANING                                                     equ     0C000016DH
STATUS_BIOS_FAILED_TO_CONNECT_INTERRUPT                                 equ     0C000016EH
STATUS_PARTITION_FAILURE                                                equ     0C0000172H
STATUS_INVALID_BLOCK_LENGTH                                             equ     0C0000173H
STATUS_DEVICE_NOT_PARTITIONED                                           equ     0C0000174H
STATUS_UNABLE_TO_LOCK_MEDIA                                             equ     0C0000175H
STATUS_UNABLE_TO_UNLOAD_MEDIA                                           equ     0C0000176H
STATUS_EOM_OVERFLOW                                                     equ     0C0000177H
STATUS_NO_MEDIA                                                         equ     0C0000178H
STATUS_NO_SUCH_MEMBER                                                   equ     0C000017AH
STATUS_INVALID_MEMBER                                                   equ     0C000017BH
STATUS_KEY_DELETED                                                      equ     0C000017CH
STATUS_NO_LOG_SPACE                                                     equ     0C000017DH
STATUS_TOO_MANY_SIDS                                                    equ     0C000017EH
STATUS_LM_CROSS_ENCRYPTION_REQUIRED                                     equ     0C000017FH
STATUS_KEY_HAS_CHILDREN                                                 equ     0C0000180H
STATUS_CHILD_MUST_BE_VOLATILE                                           equ     0C0000181H
STATUS_DEVICE_CONFIGURATION_ERROR                                       equ     0C0000182H
STATUS_DRIVER_INTERNAL_ERROR                                            equ     0C0000183H
STATUS_INVALID_DEVICE_STATE                                             equ     0C0000184H
STATUS_IO_DEVICE_ERROR                                                  equ     0C0000185H
STATUS_DEVICE_PROTOCOL_ERROR                                            equ     0C0000186H
STATUS_BACKUP_CONTROLLER                                                equ     0C0000187H
STATUS_LOG_FILE_FULL                                                    equ     0C0000188H
STATUS_TOO_LATE                                                         equ     0C0000189H
STATUS_NO_TRUST_LSA_SECRET                                              equ     0C000018AH
STATUS_NO_TRUST_SAM_ACCOUNT                                             equ     0C000018BH
STATUS_TRUSTED_DOMAIN_FAILURE                                           equ     0C000018CH
STATUS_TRUSTED_RELATIONSHIP_FAILURE                                     equ     0C000018DH
STATUS_EVENTLOG_FILE_CORRUPT                                            equ     0C000018EH
STATUS_EVENTLOG_CANT_START                                              equ     0C000018FH
STATUS_TRUST_FAILURE                                                    equ     0C0000190H
STATUS_MUTANT_LIMIT_EXCEEDED                                            equ     0C0000191H
STATUS_NETLOGON_NOT_STARTED                                             equ     0C0000192H
STATUS_ACCOUNT_EXPIRED                                                  equ     0C0000193H
STATUS_POSSIBLE_DEADLOCK                                                equ     0C0000194H
STATUS_NETWORK_CREDENTIAL_CONFLICT                                      equ     0C0000195H
STATUS_REMOTE_SESSION_LIMIT                                             equ     0C0000196H
STATUS_EVENTLOG_FILE_CHANGED                                            equ     0C0000197H
STATUS_NOLOGON_INTERDOMAIN_TRUST_ACCOUNT                                equ     0C0000198H
STATUS_NOLOGON_WORKSTATION_TRUST_ACCOUNT                                equ     0C0000199H
STATUS_NOLOGON_SERVER_TRUST_ACCOUNT                                     equ     0C000019AH
STATUS_DOMAIN_TRUST_INCONSISTENT                                        equ     0C000019BH
STATUS_FS_DRIVER_REQUIRED                                               equ     0C000019CH
STATUS_IMAGE_ALREADY_LOADED_AS_DLL                                      equ     0C000019DH
STATUS_NETWORK_OPEN_RESTRICTION                                         equ     0C0000201H
STATUS_NO_USER_SESSION_KEY                                              equ     0C0000202H
STATUS_USER_SESSION_DELETED                                             equ     0C0000203H
STATUS_RESOURCE_LANG_NOT_FOUND                                          equ     0C0000204H
STATUS_INSUFF_SERVER_RESOURCES                                          equ     0C0000205H
STATUS_INVALID_BUFFER_SIZE                                              equ     0C0000206H
STATUS_INVALID_ADDRESS_COMPONENT                                        equ     0C0000207H
STATUS_INVALID_ADDRESS_WILDCARD                                         equ     0C0000208H
STATUS_TOO_MANY_ADDRESSES                                               equ     0C0000209H
STATUS_ADDRESS_ALREADY_EXISTS                                           equ     0C000020AH
STATUS_ADDRESS_CLOSED                                                   equ     0C000020BH
STATUS_CONNECTION_DISCONNECTED                                          equ     0C000020CH
STATUS_CONNECTION_RESET                                                 equ     0C000020DH
STATUS_TOO_MANY_NODES                                                   equ     0C000020EH
STATUS_TRANSACTION_ABORTED                                              equ     0C000020FH
STATUS_TRANSACTION_TIMED_OUT                                            equ     0C0000210H
STATUS_TRANSACTION_NO_RELEASE                                           equ     0C0000211H
STATUS_TRANSACTION_NO_MATCH                                             equ     0C0000212H
STATUS_TRANSACTION_RESPONDED                                            equ     0C0000213H
STATUS_TRANSACTION_INVALID_ID                                           equ     0C0000214H
STATUS_TRANSACTION_INVALID_TYPE                                         equ     0C0000215H
STATUS_NOT_SERVER_SESSION                                               equ     0C0000216H
STATUS_NOT_CLIENT_SESSION                                               equ     0C0000217H
STATUS_CANNOT_LOAD_REGISTRY_FILE                                        equ     0C0000218H
STATUS_DEBUG_ATTACH_FAILED                                              equ     0C0000219H
STATUS_SYSTEM_PROCESS_TERMINATED                                        equ     0C000021AH
STATUS_DATA_NOT_ACCEPTED                                                equ     0C000021BH
STATUS_NO_BROWSER_SERVERS_FOUND                                         equ     0C000021CH
STATUS_VDM_HARD_ERROR                                                   equ     0C000021DH
STATUS_DRIVER_CANCEL_TIMEOUT                                            equ     0C000021EH
STATUS_REPLY_MESSAGE_MISMATCH                                           equ     0C000021FH
STATUS_MAPPED_ALIGNMENT                                                 equ     0C0000220H
STATUS_IMAGE_CHECKSUM_MISMATCH                                          equ     0C0000221H
STATUS_LOST_WRITEBEHIND_DATA                                            equ     0C0000222H
STATUS_CLIENT_SERVER_PARAMETERS_INVALID                                 equ     0C0000223H
STATUS_PASSWORD_MUST_CHANGE                                             equ     0C0000224H
STATUS_NOT_FOUND                                                        equ     0C0000225H
STATUS_NOT_TINY_STREAM                                                  equ     0C0000226H
STATUS_RECOVERY_FAILURE                                                 equ     0C0000227H
STATUS_STACK_OVERFLOW_READ                                              equ     0C0000228H
STATUS_FAIL_CHECK                                                       equ     0C0000229H
STATUS_DUPLICATE_OBJECTID                                               equ     0C000022AH
STATUS_OBJECTID_EXISTS                                                  equ     0C000022BH
STATUS_CONVERT_TO_LARGE                                                 equ     0C000022CH
STATUS_RETRY                                                            equ     0C000022DH
STATUS_FOUND_OUT_OF_SCOPE                                               equ     0C000022EH
STATUS_ALLOCATE_BUCKET                                                  equ     0C000022FH
STATUS_PROPSET_NOT_FOUND                                                equ     0C0000230H
STATUS_MARSHALL_OVERFLOW                                                equ     0C0000231H
STATUS_INVALID_VARIANT                                                  equ     0C0000232H
STATUS_DOMAIN_CONTROLLER_NOT_FOUND                                      equ     0C0000233H
STATUS_ACCOUNT_LOCKED_OUT                                               equ     0C0000234H
STATUS_HANDLE_NOT_CLOSABLE                                              equ     0C0000235H
STATUS_CONNECTION_REFUSED                                               equ     0C0000236H
STATUS_GRACEFUL_DISCONNECT                                              equ     0C0000237H
STATUS_ADDRESS_ALREADY_ASSOCIATED                                       equ     0C0000238H
STATUS_ADDRESS_NOT_ASSOCIATED                                           equ     0C0000239H
STATUS_CONNECTION_INVALID                                               equ     0C000023AH
STATUS_CONNECTION_ACTIVE                                                equ     0C000023BH
STATUS_NETWORK_UNREACHABLE                                              equ     0C000023CH
STATUS_HOST_UNREACHABLE                                                 equ     0C000023DH
STATUS_PROTOCOL_UNREACHABLE                                             equ     0C000023EH
STATUS_PORT_UNREACHABLE                                                 equ     0C000023FH
STATUS_REQUEST_ABORTED                                                  equ     0C0000240H
STATUS_CONNECTION_ABORTED                                               equ     0C0000241H
STATUS_BAD_COMPRESSION_BUFFER                                           equ     0C0000242H
STATUS_USER_MAPPED_FILE                                                 equ     0C0000243H
STATUS_AUDIT_FAILED                                                     equ     0C0000244H
STATUS_TIMER_RESOLUTION_NOT_SET                                         equ     0C0000245H
STATUS_CONNECTION_COUNT_LIMIT                                           equ     0C0000246H
STATUS_LOGIN_TIME_RESTRICTION                                           equ     0C0000247H
STATUS_LOGIN_WKSTA_RESTRICTION                                          equ     0C0000248H
STATUS_IMAGE_MP_UP_MISMATCH                                             equ     0C0000249H
STATUS_INSUFFICIENT_LOGON_INFO                                          equ     0C0000250H
STATUS_BAD_DLL_ENTRYPOINT                                               equ     0C0000251H
STATUS_BAD_SERVICE_ENTRYPOINT                                           equ     0C0000252H
STATUS_LPC_REPLY_LOST                                                   equ     0C0000253H
STATUS_IP_ADDRESS_CONFLICT1                                             equ     0C0000254H
STATUS_IP_ADDRESS_CONFLICT2                                             equ     0C0000255H
STATUS_REGISTRY_QUOTA_LIMIT                                             equ     0C0000256H
STATUS_PATH_NOT_COVERED                                                 equ     0C0000257H
STATUS_NO_CALLBACK_ACTIVE                                               equ     0C0000258H
STATUS_LICENSE_QUOTA_EXCEEDED                                           equ     0C0000259H
STATUS_PWD_TOO_SHORT                                                    equ     0C000025AH
STATUS_PWD_TOO_RECENT                                                   equ     0C000025BH
STATUS_PWD_HISTORY_CONFLICT                                             equ     0C000025CH
STATUS_PLUGPLAY_NO_DEVICE                                               equ     0C000025EH
STATUS_UNSUPPORTED_COMPRESSION                                          equ     0C000025FH
STATUS_INVALID_HW_PROFILE                                               equ     0C0000260H
STATUS_INVALID_PLUGPLAY_DEVICE_PATH                                     equ     0C0000261H
STATUS_DRIVER_ORDINAL_NOT_FOUND                                         equ     0C0000262H
STATUS_DRIVER_ENTRYPOINT_NOT_FOUND                                      equ     0C0000263H
STATUS_RESOURCE_NOT_OWNED                                               equ     0C0000264H
STATUS_TOO_MANY_LINKS                                                   equ     0C0000265H
STATUS_QUOTA_LIST_INCONSISTENT                                          equ     0C0000266H
STATUS_FILE_IS_OFFLINE                                                  equ     0C0000267H
STATUS_EVALUATION_EXPIRATION                                            equ     0C0000268H
STATUS_ILLEGAL_DLL_RELOCATION                                           equ     0C0000269H
STATUS_LICENSE_VIOLATION                                                equ     0C000026AH
STATUS_DLL_INIT_FAILED_LOGOFF                                           equ     0C000026BH
STATUS_DRIVER_UNABLE_TO_LOAD                                            equ     0C000026CH
STATUS_DFS_UNAVAILABLE                                                  equ     0C000026DH
STATUS_VOLUME_DISMOUNTED                                                equ     0C000026EH
STATUS_WX86_INTERNAL_ERROR                                              equ     0C000026FH
STATUS_WX86_FLOAT_STACK_CHECK                                           equ     0C0000270H
STATUS_VALIDATE_CONTINUE                                                equ     0C0000271H
STATUS_NO_MATCH                                                         equ     0C0000272H
STATUS_NO_MORE_MATCHES                                                  equ     0C0000273H
STATUS_NOT_A_REPARSE_POINT                                              equ     0C0000275H
STATUS_IO_REPARSE_TAG_INVALID                                           equ     0C0000276H
STATUS_IO_REPARSE_TAG_MISMATCH                                          equ     0C0000277H
STATUS_IO_REPARSE_DATA_INVALID                                          equ     0C0000278H
STATUS_IO_REPARSE_TAG_NOT_HANDLED                                       equ     0C0000279H
STATUS_REPARSE_POINT_NOT_RESOLVED                                       equ     0C0000280H
STATUS_DIRECTORY_IS_A_REPARSE_POINT                                     equ     0C0000281H
STATUS_RANGE_LIST_CONFLICT                                              equ     0C0000282H
STATUS_SOURCE_ELEMENT_EMPTY                                             equ     0C0000283H
STATUS_DESTINATION_ELEMENT_FULL                                         equ     0C0000284H
STATUS_ILLEGAL_ELEMENT_ADDRESS                                          equ     0C0000285H
STATUS_MAGAZINE_NOT_PRESENT                                             equ     0C0000286H
STATUS_REINITIALIZATION_NEEDED                                          equ     0C0000287H
STATUS_DEVICE_REQUIRES_CLEANING                                         equ     080000288H
STATUS_DEVICE_DOOR_OPEN                                                 equ     080000289H
STATUS_ENCRYPTION_FAILED                                                equ     0C000028AH
STATUS_DECRYPTION_FAILED                                                equ     0C000028BH
STATUS_RANGE_NOT_FOUND                                                  equ     0C000028CH
STATUS_NO_RECOVERY_POLICY                                               equ     0C000028DH
STATUS_NO_EFS                                                           equ     0C000028EH
STATUS_WRONG_EFS                                                        equ     0C000028FH
STATUS_NO_USER_KEYS                                                     equ     0C0000290H
STATUS_FILE_NOT_ENCRYPTED                                               equ     0C0000291H
STATUS_NOT_EXPORT_FORMAT                                                equ     0C0000292H
STATUS_FILE_ENCRYPTED                                                   equ     0C0000293H
STATUS_WAKE_SYSTEM                                                      equ     040000294H
STATUS_WMI_GUID_NOT_FOUND                                               equ     0C0000295H
STATUS_WMI_INSTANCE_NOT_FOUND                                           equ     0C0000296H
STATUS_WMI_ITEMID_NOT_FOUND                                             equ     0C0000297H
STATUS_WMI_TRY_AGAIN                                                    equ     0C0000298H
STATUS_SHARED_POLICY                                                    equ     0C0000299H
STATUS_POLICY_OBJECT_NOT_FOUND                                          equ     0C000029AH
STATUS_POLICY_ONLY_IN_DS                                                equ     0C000029BH
STATUS_VOLUME_NOT_UPGRADED                                              equ     0C000029CH
STATUS_REMOTE_STORAGE_NOT_ACTIVE                                        equ     0C000029DH
STATUS_REMOTE_STORAGE_MEDIA_ERROR                                       equ     0C000029EH
STATUS_NO_TRACKING_SERVICE                                              equ     0C000029FH
STATUS_SERVER_SID_MISMATCH                                              equ     0C00002A0H
STATUS_DS_NO_ATTRIBUTE_OR_VALUE                                         equ     0C00002A1H
STATUS_DS_INVALID_ATTRIBUTE_SYNTAX                                      equ     0C00002A2H
STATUS_DS_ATTRIBUTE_TYPE_UNDEFINED                                      equ     0C00002A3H
STATUS_DS_ATTRIBUTE_OR_VALUE_EXISTS                                     equ     0C00002A4H
STATUS_DS_BUSY                                                          equ     0C00002A5H
STATUS_DS_UNAVAILABLE                                                   equ     0C00002A6H
STATUS_DS_NO_RIDS_ALLOCATED                                             equ     0C00002A7H
STATUS_DS_NO_MORE_RIDS                                                  equ     0C00002A8H
STATUS_DS_INCORRECT_ROLE_OWNER                                          equ     0C00002A9H
STATUS_DS_RIDMGR_INIT_ERROR                                             equ     0C00002AAH
STATUS_DS_OBJ_CLASS_VIOLATION                                           equ     0C00002ABH
STATUS_DS_CANT_ON_NON_LEAF                                              equ     0C00002ACH
STATUS_DS_CANT_ON_RDN                                                   equ     0C00002ADH
STATUS_DS_CANT_MOD_OBJ_CLASS                                            equ     0C00002AEH
STATUS_DS_CROSS_DOM_MOVE_FAILED                                         equ     0C00002AFH
STATUS_DS_GC_NOT_AVAILABLE                                              equ     0C00002B0H
STATUS_DIRECTORY_SERVICE_REQUIRED                                       equ     0C00002B1H
STATUS_REPARSE_ATTRIBUTE_CONFLICT                                       equ     0C00002B2H
STATUS_CANT_ENABLE_DENY_ONLY                                            equ     0C00002B3H
STATUS_FLOAT_MULTIPLE_FAULTS                                            equ     0C00002B4H
STATUS_FLOAT_MULTIPLE_TRAPS                                             equ     0C00002B5H
STATUS_DEVICE_REMOVED                                                   equ     0C00002B6H
STATUS_JOURNAL_DELETE_IN_PROGRESS                                       equ     0C00002B7H
STATUS_JOURNAL_NOT_ACTIVE                                               equ     0C00002B8H
STATUS_NOINTERFACE                                                      equ     0C00002B9H
STATUS_DS_ADMIN_LIMIT_EXCEEDED                                          equ     0C00002C1H
STATUS_DRIVER_FAILED_SLEEP                                              equ     0C00002C2H
STATUS_MUTUAL_AUTHENTICATION_FAILED                                     equ     0C00002C3H
STATUS_CORRUPT_SYSTEM_FILE                                              equ     0C00002C4H
STATUS_DATATYPE_MISALIGNMENT_ERROR                                      equ     0C00002C5H
STATUS_WMI_READ_ONLY                                                    equ     0C00002C6H
STATUS_WMI_SET_FAILURE                                                  equ     0C00002C7H
STATUS_COMMITMENT_MINIMUM                                               equ     0C00002C8H
STATUS_REG_NAT_CONSUMPTION                                              equ     0C00002C9H
STATUS_TRANSPORT_FULL                                                   equ     0C00002CAH
STATUS_DS_SAM_INIT_FAILURE                                              equ     0C00002CBH
STATUS_ONLY_IF_CONNECTED                                                equ     0C00002CCH
STATUS_DS_SENSITIVE_GROUP_VIOLATION                                     equ     0C00002CDH
STATUS_PNP_RESTART_ENUMERATION                                          equ     0C00002CEH
STATUS_JOURNAL_ENTRY_DELETED                                            equ     0C00002CFH
STATUS_DS_CANT_MOD_PRIMARYGROUPID                                       equ     0C00002D0H
STATUS_SYSTEM_IMAGE_BAD_SIGNATURE                                       equ     0C00002D1H
STATUS_PNP_REBOOT_REQUIRED                                              equ     0C00002D2H
STATUS_POWER_STATE_INVALID                                              equ     0C00002D3H
STATUS_DS_INVALID_GROUP_TYPE                                            equ     0C00002D4H
STATUS_DS_NO_NEST_GLOBALGROUP_IN_MIXEDDOMAIN                            equ     0C00002D5H
STATUS_DS_NO_NEST_LOCALGROUP_IN_MIXEDDOMAIN                             equ     0C00002D6H
STATUS_DS_GLOBAL_CANT_HAVE_LOCAL_MEMBER                                 equ     0C00002D7H
STATUS_DS_GLOBAL_CANT_HAVE_UNIVERSAL_MEMBER                             equ     0C00002D8H
STATUS_DS_UNIVERSAL_CANT_HAVE_LOCAL_MEMBER                              equ     0C00002D9H
STATUS_DS_GLOBAL_CANT_HAVE_CROSSDOMAIN_MEMBER                           equ     0C00002DAH
STATUS_DS_LOCAL_CANT_HAVE_CROSSDOMAIN_LOCAL_MEMBER                      equ     0C00002DBH
STATUS_DS_HAVE_PRIMARY_MEMBERS                                          equ     0C00002DCH
STATUS_WMI_NOT_SUPPORTED                                                equ     0C00002DDH
STATUS_INSUFFICIENT_POWER                                               equ     0C00002DEH
STATUS_SAM_NEED_BOOTKEY_PASSWORD                                        equ     0C00002DFH
STATUS_SAM_NEED_BOOTKEY_FLOPPY                                          equ     0C00002E0H
STATUS_DS_CANT_START                                                    equ     0C00002E1H
STATUS_DS_INIT_FAILURE                                                  equ     0C00002E2H
STATUS_SAM_INIT_FAILURE                                                 equ     0C00002E3H
STATUS_DS_GC_REQUIRED                                                   equ     0C00002E4H
STATUS_DS_LOCAL_MEMBER_OF_LOCAL_ONLY                                    equ     0C00002E5H
STATUS_DS_NO_FPO_IN_UNIVERSAL_GROUPS                                    equ     0C00002E6H
STATUS_DS_MACHINE_ACCOUNT_QUOTA_EXCEEDED                                equ     0C00002E7H
STATUS_MULTIPLE_FAULT_VIOLATION                                         equ     0C00002E8H
STATUS_CURRENT_DOMAIN_NOT_ALLOWED                                       equ     0C00002E9H
STATUS_CANNOT_MAKE                                                      equ     0C00002EAH
STATUS_SYSTEM_SHUTDOWN                                                  equ     0C00002EBH
STATUS_DS_INIT_FAILURE_CONSOLE                                          equ     0C00002ECH
STATUS_DS_SAM_INIT_FAILURE_CONSOLE                                      equ     0C00002EDH
STATUS_UNFINISHED_CONTEXT_DELETED                                       equ     0C00002EEH
STATUS_NO_TGT_REPLY                                                     equ     0C00002EFH
STATUS_OBJECTID_NOT_FOUND                                               equ     0C00002F0H
STATUS_NO_IP_ADDRESSES                                                  equ     0C00002F1H
STATUS_WRONG_CREDENTIAL_HANDLE                                          equ     0C00002F2H
STATUS_CRYPTO_SYSTEM_INVALID                                            equ     0C00002F3H
STATUS_MAX_REFERRALS_EXCEEDED                                           equ     0C00002F4H
STATUS_MUST_BE_KDC                                                      equ     0C00002F5H
STATUS_STRONG_CRYPTO_NOT_SUPPORTED                                      equ     0C00002F6H
STATUS_TOO_MANY_PRINCIPALS                                              equ     0C00002F7H
STATUS_NO_PA_DATA                                                       equ     0C00002F8H
STATUS_PKINIT_NAME_MISMATCH                                             equ     0C00002F9H
STATUS_SMARTCARD_LOGON_REQUIRED                                         equ     0C00002FAH
STATUS_KDC_INVALID_REQUEST                                              equ     0C00002FBH
STATUS_KDC_UNABLE_TO_REFER                                              equ     0C00002FCH
STATUS_KDC_UNKNOWN_ETYPE                                                equ     0C00002FDH
STATUS_SHUTDOWN_IN_PROGRESS                                             equ     0C00002FEH
STATUS_SERVER_SHUTDOWN_IN_PROGRESS                                      equ     0C00002FFH
STATUS_NOT_SUPPORTED_ON_SBS                                             equ     0C0000300H
STATUS_WMI_GUID_DISCONNECTED                                            equ     0C0000301H
STATUS_WMI_ALREADY_DISABLED                                             equ     0C0000302H
STATUS_WMI_ALREADY_ENABLED                                              equ     0C0000303H
STATUS_MFT_TOO_FRAGMENTED                                               equ     0C0000304H
STATUS_COPY_PROTECTION_FAILURE                                          equ     0C0000305H
STATUS_CSS_AUTHENTICATION_FAILURE                                       equ     0C0000306H
STATUS_CSS_KEY_NOT_PRESENT                                              equ     0C0000307H
STATUS_CSS_KEY_NOT_ESTABLISHED                                          equ     0C0000308H
STATUS_CSS_SCRAMBLED_SECTOR                                             equ     0C0000309H
STATUS_CSS_REGION_MISMATCH                                              equ     0C000030AH
STATUS_CSS_RESETS_EXHAUSTED                                             equ     0C000030BH
STATUS_PKINIT_FAILURE                                                   equ     0C0000320H
STATUS_SMARTCARD_SUBSYSTEM_FAILURE                                      equ     0C0000321H
STATUS_NO_KERB_KEY                                                      equ     0C0000322H
STATUS_HOST_DOWN                                                        equ     0C0000350H
STATUS_UNSUPPORTED_PREAUTH                                              equ     0C0000351H
STATUS_EFS_ALG_BLOB_TOO_BIG                                             equ     0C0000352H
STATUS_PORT_NOT_SET                                                     equ     0C0000353H
STATUS_DEBUGGER_INACTIVE                                                equ     0C0000354H
STATUS_DS_VERSION_CHECK_FAILURE                                         equ     0C0000355H
STATUS_AUDITING_DISABLED                                                equ     0C0000356H
STATUS_PRENT4_MACHINE_ACCOUNT                                           equ     0C0000357H
STATUS_DS_AG_CANT_HAVE_UNIVERSAL_MEMBER                                 equ     0C0000358H
STATUS_INVALID_IMAGE_WIN_32                                             equ     0C0000359H
STATUS_INVALID_IMAGE_WIN_64                                             equ     0C000035AH
STATUS_BAD_BINDINGS                                                     equ     0C000035BH
STATUS_NETWORK_SESSION_EXPIRED                                          equ     0C000035CH
STATUS_APPHELP_BLOCK                                                    equ     0C000035DH
STATUS_ALL_SIDS_FILTERED                                                equ     0C000035EH
STATUS_NOT_SAFE_MODE_DRIVER                                             equ     0C000035FH
STATUS_ACCESS_DISABLED_BY_POLICY_DEFAULT                                equ     0C0000361H
STATUS_ACCESS_DISABLED_BY_POLICY_PATH                                   equ     0C0000362H
STATUS_ACCESS_DISABLED_BY_POLICY_PUBLISHER                              equ     0C0000363H
STATUS_ACCESS_DISABLED_BY_POLICY_OTHER                                  equ     0C0000364H
STATUS_FAILED_DRIVER_ENTRY                                              equ     0C0000365H
STATUS_DEVICE_ENUMERATION_ERROR                                         equ     0C0000366H
STATUS_WAIT_FOR_OPLOCK                                                  equ     000000367H
STATUS_MOUNT_POINT_NOT_RESOLVED                                         equ     0C0000368H
STATUS_INVALID_DEVICE_OBJECT_PARAMETER                                  equ     0C0000369H
STATUS_MCA_OCCURED                                                      equ     0C000036AH
STATUS_DRIVER_BLOCKED_CRITICAL                                          equ     0C000036BH
STATUS_DRIVER_BLOCKED                                                   equ     0C000036CH
STATUS_DRIVER_DATABASE_ERROR                                            equ     0C000036DH
STATUS_SYSTEM_HIVE_TOO_LARGE                                            equ     0C000036EH
STATUS_INVALID_IMPORT_OF_NON_DLL                                        equ     0C000036FH
STATUS_DS_SHUTTING_DOWN                                                 equ     040000370H
STATUS_NO_SECRETS                                                       equ     0C0000371H
STATUS_ACCESS_DISABLED_NO_SAFER_UI_BY_POLICY                            equ     0C0000372H
STATUS_FAILED_STACK_SWITCH                                              equ     0C0000373H
STATUS_HEAP_CORRUPTION                                                  equ     0C0000374H
STATUS_SMARTCARD_WRONG_PIN                                              equ     0C0000380H
STATUS_SMARTCARD_CARD_BLOCKED                                           equ     0C0000381H
STATUS_SMARTCARD_CARD_NOT_AUTHENTICATED                                 equ     0C0000382H
STATUS_SMARTCARD_NO_CARD                                                equ     0C0000383H
STATUS_SMARTCARD_NO_KEY_CONTAINER                                       equ     0C0000384H
STATUS_SMARTCARD_NO_CERTIFICATE                                         equ     0C0000385H
STATUS_SMARTCARD_NO_KEYSET                                              equ     0C0000386H
STATUS_SMARTCARD_IO_ERROR                                               equ     0C0000387H
STATUS_DOWNGRADE_DETECTED                                               equ     0C0000388H
STATUS_SMARTCARD_CERT_REVOKED                                           equ     0C0000389H
STATUS_ISSUING_CA_UNTRUSTED                                             equ     0C000038AH
STATUS_REVOCATION_OFFLINE_C                                             equ     0C000038BH
STATUS_PKINIT_CLIENT_FAILURE                                            equ     0C000038CH
STATUS_SMARTCARD_CERT_EXPIRED                                           equ     0C000038DH
STATUS_DRIVER_FAILED_PRIOR_UNLOAD                                       equ     0C000038EH
STATUS_SMARTCARD_SILENT_CONTEXT                                         equ     0C000038FH
STATUS_PER_USER_TRUST_QUOTA_EXCEEDED                                    equ     0C0000401H
STATUS_ALL_USER_TRUST_QUOTA_EXCEEDED                                    equ     0C0000402H
STATUS_USER_DELETE_TRUST_QUOTA_EXCEEDED                                 equ     0C0000403H
STATUS_DS_NAME_NOT_UNIQUE                                               equ     0C0000404H
STATUS_DS_DUPLICATE_ID_FOUND                                            equ     0C0000405H
STATUS_DS_GROUP_CONVERSION_ERROR                                        equ     0C0000406H
STATUS_VOLSNAP_PREPARE_HIBERNATE                                        equ     0C0000407H
STATUS_USER2USER_REQUIRED                                               equ     0C0000408H
STATUS_STACK_BUFFER_OVERRUN                                             equ     0C0000409H
STATUS_NO_S4U_PROT_SUPPORT                                              equ     0C000040AH
STATUS_CROSSREALM_DELEGATION_FAILURE                                    equ     0C000040BH
STATUS_REVOCATION_OFFLINE_KDC                                           equ     0C000040CH
STATUS_ISSUING_CA_UNTRUSTED_KDC                                         equ     0C000040DH
STATUS_KDC_CERT_EXPIRED                                                 equ     0C000040EH
STATUS_KDC_CERT_REVOKED                                                 equ     0C000040FH
STATUS_PARAMETER_QUOTA_EXCEEDED                                         equ     0C0000410H
STATUS_HIBERNATION_FAILURE                                              equ     0C0000411H
STATUS_DELAY_LOAD_FAILED                                                equ     0C0000412H
STATUS_AUTHENTICATION_FIREWALL_FAILED                                   equ     0C0000413H
STATUS_VDM_DISALLOWED                                                   equ     0C0000414H
STATUS_HUNG_DISPLAY_DRIVER_THREAD                                       equ     0C0000415H
STATUS_INSUFFICIENT_RESOURCE_FOR_SPECIFIED_SHARED_SECTION_SIZE          equ     0C0000416H
STATUS_INVALID_CRUNTIME_PARAMETER                                       equ     0C0000417H
STATUS_NTLM_BLOCKED                                                     equ     0C0000418H
STATUS_ASSERTION_FAILURE                                                equ     0C0000420H
STATUS_VERIFIER_STOP                                                    equ     0C0000421H
STATUS_CALLBACK_POP_STACK                                               equ     0C0000423H
STATUS_INCOMPATIBLE_DRIVER_BLOCKED                                      equ     0C0000424H
STATUS_HIVE_UNLOADED                                                    equ     0C0000425H
STATUS_COMPRESSION_DISABLED                                             equ     0C0000426H
STATUS_FILE_SYSTEM_LIMITATION                                           equ     0C0000427H
STATUS_INVALID_IMAGE_HASH                                               equ     0C0000428H
STATUS_NOT_CAPABLE                                                      equ     0C0000429H
STATUS_REQUEST_OUT_OF_SEQUENCE                                          equ     0C000042AH
STATUS_IMPLEMENTATION_LIMIT                                             equ     0C000042BH
STATUS_ELEVATION_REQUIRED                                               equ     0C000042CH
STATUS_BEYOND_VDL                                                       equ     0C0000432H
STATUS_ENCOUNTERED_WRITE_IN_PROGRESS                                    equ     0C0000433H
STATUS_PTE_CHANGED                                                      equ     0C0000434H
STATUS_PURGE_FAILED                                                     equ     0C0000435H
STATUS_CRED_REQUIRES_CONFIRMATION                                       equ     0C0000440H
STATUS_CS_ENCRYPTION_INVALID_SERVER_RESPONSE                            equ     0C0000441H
STATUS_CS_ENCRYPTION_UNSUPPORTED_SERVER                                 equ     0C0000442H
STATUS_CS_ENCRYPTION_EXISTING_ENCRYPTED_FILE                            equ     0C0000443H
STATUS_CS_ENCRYPTION_NEW_ENCRYPTED_FILE                                 equ     0C0000444H
STATUS_CS_ENCRYPTION_FILE_NOT_CSE                                       equ     0C0000445H
STATUS_INVALID_LABEL                                                    equ     0C0000446H
STATUS_DRIVER_PROCESS_TERMINATED                                        equ     0C0000450H
STATUS_AMBIGUOUS_SYSTEM_DEVICE                                          equ     0C0000451H
STATUS_SYSTEM_DEVICE_NOT_FOUND                                          equ     0C0000452H
STATUS_RESTART_BOOT_APPLICATION                                         equ     0C0000453H
STATUS_INVALID_TASK_NAME                                                equ     0C0000500H
STATUS_INVALID_TASK_INDEX                                               equ     0C0000501H
STATUS_THREAD_ALREADY_IN_TASK                                           equ     0C0000502H
STATUS_CALLBACK_BYPASS                                                  equ     0C0000503H
STATUS_PORT_CLOSED                                                      equ     0C0000700H
STATUS_MESSAGE_LOST                                                     equ     0C0000701H
STATUS_INVALID_MESSAGE                                                  equ     0C0000702H
STATUS_REQUEST_CANCELED                                                 equ     0C0000703H
STATUS_RECURSIVE_DISPATCH                                               equ     0C0000704H
STATUS_LPC_RECEIVE_BUFFER_EXPECTED                                      equ     0C0000705H
STATUS_LPC_INVALID_CONNECTION_USAGE                                     equ     0C0000706H
STATUS_LPC_REQUESTS_NOT_ALLOWED                                         equ     0C0000707H
STATUS_RESOURCE_IN_USE                                                  equ     0C0000708H
STATUS_HARDWARE_MEMORY_ERROR                                            equ     0C0000709H
STATUS_THREADPOOL_HANDLE_EXCEPTION                                      equ     0C000070AH
STATUS_THREADPOOL_SET_EVENT_ON_COMPLETION_FAILED                        equ     0C000070BH
STATUS_THREADPOOL_RELEASE_SEMAPHORE_ON_COMPLETION_FAILED                equ     0C000070CH
STATUS_THREADPOOL_RELEASE_MUTEX_ON_COMPLETION_FAILED                    equ     0C000070DH
STATUS_THREADPOOL_FREE_LIBRARY_ON_COMPLETION_FAILED                     equ     0C000070EH
STATUS_THREADPOOL_RELEASED_DURING_OPERATION                             equ     0C000070FH
STATUS_CALLBACK_RETURNED_WHILE_IMPERSONATING                            equ     0C0000710H
STATUS_APC_RETURNED_WHILE_IMPERSONATING                                 equ     0C0000711H
STATUS_PROCESS_IS_PROTECTED                                             equ     0C0000712H
STATUS_MCA_EXCEPTION                                                    equ     0C0000713H
STATUS_CERTIFICATE_MAPPING_NOT_UNIQUE                                   equ     0C0000714H
STATUS_SYMLINK_CLASS_DISABLED                                           equ     0C0000715H
STATUS_INVALID_IDN_NORMALIZATION                                        equ     0C0000716H
STATUS_NO_UNICODE_TRANSLATION                                           equ     0C0000717H
STATUS_ALREADY_REGISTERED                                               equ     0C0000718H
STATUS_CONTEXT_MISMATCH                                                 equ     0C0000719H
STATUS_PORT_ALREADY_HAS_COMPLETION_LIST                                 equ     0C000071AH
STATUS_CALLBACK_RETURNED_THREAD_PRIORITY                                equ     0C000071BH
STATUS_INVALID_THREAD                                                   equ     0C000071CH
STATUS_CALLBACK_RETURNED_TRANSACTION                                    equ     0C000071DH
STATUS_CALLBACK_RETURNED_LDR_LOCK                                       equ     0C000071EH
STATUS_CALLBACK_RETURNED_LANG                                           equ     0C000071FH
STATUS_CALLBACK_RETURNED_PRI_BACK                                       equ     0C0000720H
STATUS_CALLBACK_RETURNED_THREAD_AFFINITY                                equ     0C0000721H
STATUS_DISK_REPAIR_DISABLED                                             equ     0C0000800H
STATUS_DS_DOMAIN_RENAME_IN_PROGRESS                                     equ     0C0000801H
STATUS_DISK_QUOTA_EXCEEDED                                              equ     0C0000802H
STATUS_DATA_LOST_REPAIR                                                 equ     080000803H
STATUS_CONTENT_BLOCKED                                                  equ     0C0000804H
STATUS_BAD_CLUSTERS                                                     equ     0C0000805H
STATUS_VOLUME_DIRTY                                                     equ     0C0000806H
STATUS_FILE_CHECKED_OUT                                                 equ     0C0000901H
STATUS_CHECKOUT_REQUIRED                                                equ     0C0000902H
STATUS_BAD_FILE_TYPE                                                    equ     0C0000903H
STATUS_FILE_TOO_LARGE                                                   equ     0C0000904H
STATUS_FORMS_AUTH_REQUIRED                                              equ     0C0000905H
STATUS_VIRUS_INFECTED                                                   equ     0C0000906H
STATUS_VIRUS_DELETED                                                    equ     0C0000907H
STATUS_BAD_MCFG_TABLE                                                   equ     0C0000908H
STATUS_WOW_ASSERTION                                                    equ     0C0009898H
STATUS_INVALID_SIGNATURE                                                equ     0C000A000H
STATUS_HMAC_NOT_SUPPORTED                                               equ     0C000A001H
STATUS_AUTH_TAG_MISMATCH                                                equ     0C000A002H
STATUS_IPSEC_QUEUE_OVERFLOW                                             equ     0C000A010H
STATUS_ND_QUEUE_OVERFLOW                                                equ     0C000A011H
STATUS_HOPLIMIT_EXCEEDED                                                equ     0C000A012H
STATUS_PROTOCOL_NOT_SUPPORTED                                           equ     0C000A013H
STATUS_FASTPATH_REJECTED                                                equ     0C000A014H
STATUS_LOST_WRITEBEHIND_DATA_NETWORK_DISCONNECTED                       equ     0C000A080H
STATUS_LOST_WRITEBEHIND_DATA_NETWORK_SERVER_ERROR                       equ     0C000A081H
STATUS_LOST_WRITEBEHIND_DATA_LOCAL_DISK_ERROR                           equ     0C000A082H
STATUS_XML_PARSE_ERROR                                                  equ     0C000A083H
STATUS_XMLDSIG_ERROR                                                    equ     0C000A084H
STATUS_WRONG_COMPARTMENT                                                equ     0C000A085H
STATUS_AUTHIP_FAILURE                                                   equ     0C000A086H
DBG_NO_STATE_CHANGE                                                     equ     0C0010001H
DBG_APP_NOT_IDLE                                                        equ     0C0010002H
RPC_NT_INVALID_STRING_BINDING                                           equ     0C0020001H
RPC_NT_WRONG_KIND_OF_BINDING                                            equ     0C0020002H
RPC_NT_INVALID_BINDING                                                  equ     0C0020003H
RPC_NT_PROTSEQ_NOT_SUPPORTED                                            equ     0C0020004H
RPC_NT_INVALID_RPC_PROTSEQ                                              equ     0C0020005H
RPC_NT_INVALID_STRING_UUID                                              equ     0C0020006H
RPC_NT_INVALID_ENDPOINT_FORMAT                                          equ     0C0020007H
RPC_NT_INVALID_NET_ADDR                                                 equ     0C0020008H
RPC_NT_NO_ENDPOINT_FOUND                                                equ     0C0020009H
RPC_NT_INVALID_TIMEOUT                                                  equ     0C002000AH
RPC_NT_OBJECT_NOT_FOUND                                                 equ     0C002000BH
RPC_NT_ALREADY_REGISTERED                                               equ     0C002000CH
RPC_NT_TYPE_ALREADY_REGISTERED                                          equ     0C002000DH
RPC_NT_ALREADY_LISTENING                                                equ     0C002000EH
RPC_NT_NO_PROTSEQS_REGISTERED                                           equ     0C002000FH
RPC_NT_NOT_LISTENING                                                    equ     0C0020010H
RPC_NT_UNKNOWN_MGR_TYPE                                                 equ     0C0020011H
RPC_NT_UNKNOWN_IF                                                       equ     0C0020012H
RPC_NT_NO_BINDINGS                                                      equ     0C0020013H
RPC_NT_NO_PROTSEQS                                                      equ     0C0020014H
RPC_NT_CANT_CREATE_ENDPOINT                                             equ     0C0020015H
RPC_NT_OUT_OF_RESOURCES                                                 equ     0C0020016H
RPC_NT_SERVER_UNAVAILABLE                                               equ     0C0020017H
RPC_NT_SERVER_TOO_BUSY                                                  equ     0C0020018H
RPC_NT_INVALID_NETWORK_OPTIONS                                          equ     0C0020019H
RPC_NT_NO_CALL_ACTIVE                                                   equ     0C002001AH
RPC_NT_CALL_FAILED                                                      equ     0C002001BH
RPC_NT_CALL_FAILED_DNE                                                  equ     0C002001CH
RPC_NT_PROTOCOL_ERROR                                                   equ     0C002001DH
RPC_NT_UNSUPPORTED_TRANS_SYN                                            equ     0C002001FH
RPC_NT_UNSUPPORTED_TYPE                                                 equ     0C0020021H
RPC_NT_INVALID_TAG                                                      equ     0C0020022H
RPC_NT_INVALID_BOUND                                                    equ     0C0020023H
RPC_NT_NO_ENTRY_NAME                                                    equ     0C0020024H
RPC_NT_INVALID_NAME_SYNTAX                                              equ     0C0020025H
RPC_NT_UNSUPPORTED_NAME_SYNTAX                                          equ     0C0020026H
RPC_NT_UUID_NO_ADDRESS                                                  equ     0C0020028H
RPC_NT_DUPLICATE_ENDPOINT                                               equ     0C0020029H
RPC_NT_UNKNOWN_AUTHN_TYPE                                               equ     0C002002AH
RPC_NT_MAX_CALLS_TOO_SMALL                                              equ     0C002002BH
RPC_NT_STRING_TOO_LONG                                                  equ     0C002002CH
RPC_NT_PROTSEQ_NOT_FOUND                                                equ     0C002002DH
RPC_NT_PROCNUM_OUT_OF_RANGE                                             equ     0C002002EH
RPC_NT_BINDING_HAS_NO_AUTH                                              equ     0C002002FH
RPC_NT_UNKNOWN_AUTHN_SERVICE                                            equ     0C0020030H
RPC_NT_UNKNOWN_AUTHN_LEVEL                                              equ     0C0020031H
RPC_NT_INVALID_AUTH_IDENTITY                                            equ     0C0020032H
RPC_NT_UNKNOWN_AUTHZ_SERVICE                                            equ     0C0020033H
EPT_NT_INVALID_ENTRY                                                    equ     0C0020034H
EPT_NT_CANT_PERFORM_OP                                                  equ     0C0020035H
EPT_NT_NOT_REGISTERED                                                   equ     0C0020036H
RPC_NT_NOTHING_TO_EXPORT                                                equ     0C0020037H
RPC_NT_INCOMPLETE_NAME                                                  equ     0C0020038H
RPC_NT_INVALID_VERS_OPTION                                              equ     0C0020039H
RPC_NT_NO_MORE_MEMBERS                                                  equ     0C002003AH
RPC_NT_NOT_ALL_OBJS_UNEXPORTED                                          equ     0C002003BH
RPC_NT_INTERFACE_NOT_FOUND                                              equ     0C002003CH
RPC_NT_ENTRY_ALREADY_EXISTS                                             equ     0C002003DH
RPC_NT_ENTRY_NOT_FOUND                                                  equ     0C002003EH
RPC_NT_NAME_SERVICE_UNAVAILABLE                                         equ     0C002003FH
RPC_NT_INVALID_NAF_ID                                                   equ     0C0020040H
RPC_NT_CANNOT_SUPPORT                                                   equ     0C0020041H
RPC_NT_NO_CONTEXT_AVAILABLE                                             equ     0C0020042H
RPC_NT_INTERNAL_ERROR                                                   equ     0C0020043H
RPC_NT_ZERO_DIVIDE                                                      equ     0C0020044H
RPC_NT_ADDRESS_ERROR                                                    equ     0C0020045H
RPC_NT_FP_DIV_ZERO                                                      equ     0C0020046H
RPC_NT_FP_UNDERFLOW                                                     equ     0C0020047H
RPC_NT_FP_OVERFLOW                                                      equ     0C0020048H
RPC_NT_NO_MORE_ENTRIES                                                  equ     0C0030001H
RPC_NT_SS_CHAR_TRANS_OPEN_FAIL                                          equ     0C0030002H
RPC_NT_SS_CHAR_TRANS_SHORT_FILE                                         equ     0C0030003H
RPC_NT_SS_IN_NULL_CONTEXT                                               equ     0C0030004H
RPC_NT_SS_CONTEXT_MISMATCH                                              equ     0C0030005H
RPC_NT_SS_CONTEXT_DAMAGED                                               equ     0C0030006H
RPC_NT_SS_HANDLES_MISMATCH                                              equ     0C0030007H
RPC_NT_SS_CANNOT_GET_CALL_HANDLE                                        equ     0C0030008H
RPC_NT_NULL_REF_POINTER                                                 equ     0C0030009H
RPC_NT_ENUM_VALUE_OUT_OF_RANGE                                          equ     0C003000AH
RPC_NT_BYTE_COUNT_TOO_SMALL                                             equ     0C003000BH
RPC_NT_BAD_STUB_DATA                                                    equ     0C003000CH
RPC_NT_CALL_IN_PROGRESS                                                 equ     0C0020049H
RPC_NT_NO_MORE_BINDINGS                                                 equ     0C002004AH
RPC_NT_GROUP_MEMBER_NOT_FOUND                                           equ     0C002004BH
EPT_NT_CANT_CREATE                                                      equ     0C002004CH
RPC_NT_INVALID_OBJECT                                                   equ     0C002004DH
RPC_NT_NO_INTERFACES                                                    equ     0C002004FH
RPC_NT_CALL_CANCELLED                                                   equ     0C0020050H
RPC_NT_BINDING_INCOMPLETE                                               equ     0C0020051H
RPC_NT_COMM_FAILURE                                                     equ     0C0020052H
RPC_NT_UNSUPPORTED_AUTHN_LEVEL                                          equ     0C0020053H
RPC_NT_NO_PRINC_NAME                                                    equ     0C0020054H
RPC_NT_NOT_RPC_ERROR                                                    equ     0C0020055H
RPC_NT_UUID_LOCAL_ONLY                                                  equ     040020056H
RPC_NT_SEC_PKG_ERROR                                                    equ     0C0020057H
RPC_NT_NOT_CANCELLED                                                    equ     0C0020058H
RPC_NT_INVALID_ES_ACTION                                                equ     0C0030059H
RPC_NT_WRONG_ES_VERSION                                                 equ     0C003005AH
RPC_NT_WRONG_STUB_VERSION                                               equ     0C003005BH
RPC_NT_INVALID_PIPE_OBJECT                                              equ     0C003005CH
RPC_NT_INVALID_PIPE_OPERATION                                           equ     0C003005DH
RPC_NT_WRONG_PIPE_VERSION                                               equ     0C003005EH
RPC_NT_PIPE_CLOSED                                                      equ     0C003005FH
RPC_NT_PIPE_DISCIPLINE_ERROR                                            equ     0C0030060H
RPC_NT_PIPE_EMPTY                                                       equ     0C0030061H
RPC_NT_INVALID_ASYNC_HANDLE                                             equ     0C0020062H
RPC_NT_INVALID_ASYNC_CALL                                               equ     0C0020063H
RPC_NT_PROXY_ACCESS_DENIED                                              equ     0C0020064H
RPC_NT_COOKIE_AUTH_FAILED                                               equ     0C0020065H
RPC_NT_SEND_INCOMPLETE                                                  equ     0400200AFH
STATUS_ACPI_INVALID_OPCODE                                              equ     0C0140001H
STATUS_ACPI_STACK_OVERFLOW                                              equ     0C0140002H
STATUS_ACPI_ASSERT_FAILED                                               equ     0C0140003H
STATUS_ACPI_INVALID_INDEX                                               equ     0C0140004H
STATUS_ACPI_INVALID_ARGUMENT                                            equ     0C0140005H
STATUS_ACPI_FATAL                                                       equ     0C0140006H
STATUS_ACPI_INVALID_SUPERNAME                                           equ     0C0140007H
STATUS_ACPI_INVALID_ARGTYPE                                             equ     0C0140008H
STATUS_ACPI_INVALID_OBJTYPE                                             equ     0C0140009H
STATUS_ACPI_INVALID_TARGETTYPE                                          equ     0C014000AH
STATUS_ACPI_INCORRECT_ARGUMENT_COUNT                                    equ     0C014000BH
STATUS_ACPI_ADDRESS_NOT_MAPPED                                          equ     0C014000CH
STATUS_ACPI_INVALID_EVENTTYPE                                           equ     0C014000DH
STATUS_ACPI_HANDLER_COLLISION                                           equ     0C014000EH
STATUS_ACPI_INVALID_DATA                                                equ     0C014000FH
STATUS_ACPI_INVALID_REGION                                              equ     0C0140010H
STATUS_ACPI_INVALID_ACCESS_SIZE                                         equ     0C0140011H
STATUS_ACPI_ACQUIRE_GLOBAL_LOCK                                         equ     0C0140012H
STATUS_ACPI_ALREADY_INITIALIZED                                         equ     0C0140013H
STATUS_ACPI_NOT_INITIALIZED                                             equ     0C0140014H
STATUS_ACPI_INVALID_MUTEX_LEVEL                                         equ     0C0140015H
STATUS_ACPI_MUTEX_NOT_OWNED                                             equ     0C0140016H
STATUS_ACPI_MUTEX_NOT_OWNER                                             equ     0C0140017H
STATUS_ACPI_RS_ACCESS                                                   equ     0C0140018H
STATUS_ACPI_INVALID_TABLE                                               equ     0C0140019H
STATUS_ACPI_REG_HANDLER_FAILED                                          equ     0C0140020H
STATUS_ACPI_POWER_REQUEST_FAILED                                        equ     0C0140021H
STATUS_CTX_WINSTATION_NAME_INVALID                                      equ     0C00A0001H
STATUS_CTX_INVALID_PD                                                   equ     0C00A0002H
STATUS_CTX_PD_NOT_FOUND                                                 equ     0C00A0003H
STATUS_CTX_CDM_CONNECT                                                  equ     0400A0004H
STATUS_CTX_CDM_DISCONNECT                                               equ     0400A0005H
STATUS_CTX_CLOSE_PENDING                                                equ     0C00A0006H
STATUS_CTX_NO_OUTBUF                                                    equ     0C00A0007H
STATUS_CTX_MODEM_INF_NOT_FOUND                                          equ     0C00A0008H
STATUS_CTX_INVALID_MODEMNAME                                            equ     0C00A0009H
STATUS_CTX_RESPONSE_ERROR                                               equ     0C00A000AH
STATUS_CTX_MODEM_RESPONSE_TIMEOUT                                       equ     0C00A000BH
STATUS_CTX_MODEM_RESPONSE_NO_CARRIER                                    equ     0C00A000CH
STATUS_CTX_MODEM_RESPONSE_NO_DIALTONE                                   equ     0C00A000DH
STATUS_CTX_MODEM_RESPONSE_BUSY                                          equ     0C00A000EH
STATUS_CTX_MODEM_RESPONSE_VOICE                                         equ     0C00A000FH
STATUS_CTX_TD_ERROR                                                     equ     0C00A0010H
STATUS_CTX_LICENSE_CLIENT_INVALID                                       equ     0C00A0012H
STATUS_CTX_LICENSE_NOT_AVAILABLE                                        equ     0C00A0013H
STATUS_CTX_LICENSE_EXPIRED                                              equ     0C00A0014H
STATUS_CTX_WINSTATION_NOT_FOUND                                         equ     0C00A0015H
STATUS_CTX_WINSTATION_NAME_COLLISION                                    equ     0C00A0016H
STATUS_CTX_WINSTATION_BUSY                                              equ     0C00A0017H
STATUS_CTX_BAD_VIDEO_MODE                                               equ     0C00A0018H
STATUS_CTX_GRAPHICS_INVALID                                             equ     0C00A0022H
STATUS_CTX_NOT_CONSOLE                                                  equ     0C00A0024H
STATUS_CTX_CLIENT_QUERY_TIMEOUT                                         equ     0C00A0026H
STATUS_CTX_CONSOLE_DISCONNECT                                           equ     0C00A0027H
STATUS_CTX_CONSOLE_CONNECT                                              equ     0C00A0028H
STATUS_CTX_SHADOW_DENIED                                                equ     0C00A002AH
STATUS_CTX_WINSTATION_ACCESS_DENIED                                     equ     0C00A002BH
STATUS_CTX_INVALID_WD                                                   equ     0C00A002EH
STATUS_CTX_WD_NOT_FOUND                                                 equ     0C00A002FH
STATUS_CTX_SHADOW_INVALID                                               equ     0C00A0030H
STATUS_CTX_SHADOW_DISABLED                                              equ     0C00A0031H
STATUS_RDP_PROTOCOL_ERROR                                               equ     0C00A0032H
STATUS_CTX_CLIENT_LICENSE_NOT_SET                                       equ     0C00A0033H
STATUS_CTX_CLIENT_LICENSE_IN_USE                                        equ     0C00A0034H
STATUS_CTX_SHADOW_ENDED_BY_MODE_CHANGE                                  equ     0C00A0035H
STATUS_CTX_SHADOW_NOT_RUNNING                                           equ     0C00A0036H
STATUS_CTX_LOGON_DISABLED                                               equ     0C00A0037H
STATUS_CTX_SECURITY_LAYER_ERROR                                         equ     0C00A0038H
STATUS_TS_INCOMPATIBLE_SESSIONS                                         equ     0C00A0039H
STATUS_PNP_BAD_MPS_TABLE                                                equ     0C0040035H
STATUS_PNP_TRANSLATION_FAILED                                           equ     0C0040036H
STATUS_PNP_IRQ_TRANSLATION_FAILED                                       equ     0C0040037H
STATUS_PNP_INVALID_ID                                                   equ     0C0040038H
STATUS_IO_REISSUE_AS_CACHED                                             equ     0C0040039H
STATUS_MUI_FILE_NOT_FOUND                                               equ     0C00B0001H
STATUS_MUI_INVALID_FILE                                                 equ     0C00B0002H
STATUS_MUI_INVALID_RC_CONFIG                                            equ     0C00B0003H
STATUS_MUI_INVALID_LOCALE_NAME                                          equ     0C00B0004H
STATUS_MUI_INVALID_ULTIMATEFALLBACK_NAME                                equ     0C00B0005H
STATUS_MUI_FILE_NOT_LOADED                                              equ     0C00B0006H
STATUS_RESOURCE_ENUM_USER_STOP                                          equ     0C00B0007H
STATUS_FLT_NO_HANDLER_DEFINED                                           equ     0C01C0001H
STATUS_FLT_CONTEXT_ALREADY_DEFINED                                      equ     0C01C0002H
STATUS_FLT_INVALID_ASYNCHRONOUS_REQUEST                                 equ     0C01C0003H
STATUS_FLT_DISALLOW_FAST_IO                                             equ     0C01C0004H
STATUS_FLT_INVALID_NAME_REQUEST                                         equ     0C01C0005H
STATUS_FLT_NOT_SAFE_TO_POST_OPERATION                                   equ     0C01C0006H
STATUS_FLT_NOT_INITIALIZED                                              equ     0C01C0007H
STATUS_FLT_FILTER_NOT_READY                                             equ     0C01C0008H
STATUS_FLT_POST_OPERATION_CLEANUP                                       equ     0C01C0009H
STATUS_FLT_INTERNAL_ERROR                                               equ     0C01C000AH
STATUS_FLT_DELETING_OBJECT                                              equ     0C01C000BH
STATUS_FLT_MUST_BE_NONPAGED_POOL                                        equ     0C01C000CH
STATUS_FLT_DUPLICATE_ENTRY                                              equ     0C01C000DH
STATUS_FLT_CBDQ_DISABLED                                                equ     0C01C000EH
STATUS_FLT_DO_NOT_ATTACH                                                equ     0C01C000FH
STATUS_FLT_DO_NOT_DETACH                                                equ     0C01C0010H
STATUS_FLT_INSTANCE_ALTITUDE_COLLISION                                  equ     0C01C0011H
STATUS_FLT_INSTANCE_NAME_COLLISION                                      equ     0C01C0012H
STATUS_FLT_FILTER_NOT_FOUND                                             equ     0C01C0013H
STATUS_FLT_VOLUME_NOT_FOUND                                             equ     0C01C0014H
STATUS_FLT_INSTANCE_NOT_FOUND                                           equ     0C01C0015H
STATUS_FLT_CONTEXT_ALLOCATION_NOT_FOUND                                 equ     0C01C0016H
STATUS_FLT_INVALID_CONTEXT_REGISTRATION                                 equ     0C01C0017H
STATUS_FLT_NAME_CACHE_MISS                                              equ     0C01C0018H
STATUS_FLT_NO_DEVICE_OBJECT                                             equ     0C01C0019H
STATUS_FLT_VOLUME_ALREADY_MOUNTED                                       equ     0C01C001AH
STATUS_FLT_ALREADY_ENLISTED                                             equ     0C01C001BH
STATUS_FLT_CONTEXT_ALREADY_LINKED                                       equ     0C01C001CH
STATUS_FLT_NO_WAITER_FOR_REPLY                                          equ     0C01C0020H
STATUS_SXS_SECTION_NOT_FOUND                                            equ     0C0150001H
STATUS_SXS_CANT_GEN_ACTCTX                                              equ     0C0150002H
STATUS_SXS_INVALID_ACTCTXDATA_FORMAT                                    equ     0C0150003H
STATUS_SXS_ASSEMBLY_NOT_FOUND                                           equ     0C0150004H
STATUS_SXS_MANIFEST_FORMAT_ERROR                                        equ     0C0150005H
STATUS_SXS_MANIFEST_PARSE_ERROR                                         equ     0C0150006H
STATUS_SXS_ACTIVATION_CONTEXT_DISABLED                                  equ     0C0150007H
STATUS_SXS_KEY_NOT_FOUND                                                equ     0C0150008H
STATUS_SXS_VERSION_CONFLICT                                             equ     0C0150009H
STATUS_SXS_WRONG_SECTION_TYPE                                           equ     0C015000AH
STATUS_SXS_THREAD_QUERIES_DISABLED                                      equ     0C015000BH
STATUS_SXS_ASSEMBLY_MISSING                                             equ     0C015000CH
STATUS_SXS_RELEASE_ACTIVATION_CONTEXT                                   equ     04015000DH
STATUS_SXS_PROCESS_DEFAULT_ALREADY_SET                                  equ     0C015000EH
STATUS_SXS_EARLY_DEACTIVATION                                           equ     0C015000FH
STATUS_SXS_INVALID_DEACTIVATION                                         equ     0C0150010H
STATUS_SXS_MULTIPLE_DEACTIVATION                                        equ     0C0150011H
STATUS_SXS_SYSTEM_DEFAULT_ACTIVATION_CONTEXT_EMPTY                      equ     0C0150012H
STATUS_SXS_PROCESS_TERMINATION_REQUESTED                                equ     0C0150013H
STATUS_SXS_CORRUPT_ACTIVATION_STACK                                     equ     0C0150014H
STATUS_SXS_CORRUPTION                                                   equ     0C0150015H
STATUS_SXS_INVALID_IDENTITY_ATTRIBUTE_VALUE                             equ     0C0150016H
STATUS_SXS_INVALID_IDENTITY_ATTRIBUTE_NAME                              equ     0C0150017H
STATUS_SXS_IDENTITY_DUPLICATE_ATTRIBUTE                                 equ     0C0150018H
STATUS_SXS_IDENTITY_PARSE_ERROR                                         equ     0C0150019H
STATUS_SXS_COMPONENT_STORE_CORRUPT                                      equ     0C015001AH
STATUS_SXS_FILE_HASH_MISMATCH                                           equ     0C015001BH
STATUS_SXS_MANIFEST_IDENTITY_SAME_BUT_CONTENTS_DIFFERENT                equ     0C015001CH
STATUS_SXS_IDENTITIES_DIFFERENT                                         equ     0C015001DH
STATUS_SXS_ASSEMBLY_IS_NOT_A_DEPLOYMENT                                 equ     0C015001EH
STATUS_SXS_FILE_NOT_PART_OF_ASSEMBLY                                    equ     0C015001FH
STATUS_ADVANCED_INSTALLER_FAILED                                        equ     0C0150020H
STATUS_XML_ENCODING_MISMATCH                                            equ     0C0150021H
STATUS_SXS_MANIFEST_TOO_BIG                                             equ     0C0150022H
STATUS_SXS_SETTING_NOT_REGISTERED                                       equ     0C0150023H
STATUS_SXS_TRANSACTION_CLOSURE_INCOMPLETE                               equ     0C0150024H
STATUS_SMI_PRIMITIVE_INSTALLER_FAILED                                   equ     0C0150025H
STATUS_GENERIC_COMMAND_FAILED                                           equ     0C0150026H
STATUS_SXS_FILE_HASH_MISSING                                            equ     0C0150027H
STATUS_CLUSTER_INVALID_NODE                                             equ     0C0130001H
STATUS_CLUSTER_NODE_EXISTS                                              equ     0C0130002H
STATUS_CLUSTER_JOIN_IN_PROGRESS                                         equ     0C0130003H
STATUS_CLUSTER_NODE_NOT_FOUND                                           equ     0C0130004H
STATUS_CLUSTER_LOCAL_NODE_NOT_FOUND                                     equ     0C0130005H
STATUS_CLUSTER_NETWORK_EXISTS                                           equ     0C0130006H
STATUS_CLUSTER_NETWORK_NOT_FOUND                                        equ     0C0130007H
STATUS_CLUSTER_NETINTERFACE_EXISTS                                      equ     0C0130008H
STATUS_CLUSTER_NETINTERFACE_NOT_FOUND                                   equ     0C0130009H
STATUS_CLUSTER_INVALID_REQUEST                                          equ     0C013000AH
STATUS_CLUSTER_INVALID_NETWORK_PROVIDER                                 equ     0C013000BH
STATUS_CLUSTER_NODE_DOWN                                                equ     0C013000CH
STATUS_CLUSTER_NODE_UNREACHABLE                                         equ     0C013000DH
STATUS_CLUSTER_NODE_NOT_MEMBER                                          equ     0C013000EH
STATUS_CLUSTER_JOIN_NOT_IN_PROGRESS                                     equ     0C013000FH
STATUS_CLUSTER_INVALID_NETWORK                                          equ     0C0130010H
STATUS_CLUSTER_NO_NET_ADAPTERS                                          equ     0C0130011H
STATUS_CLUSTER_NODE_UP                                                  equ     0C0130012H
STATUS_CLUSTER_NODE_PAUSED                                              equ     0C0130013H
STATUS_CLUSTER_NODE_NOT_PAUSED                                          equ     0C0130014H
STATUS_CLUSTER_NO_SECURITY_CONTEXT                                      equ     0C0130015H
STATUS_CLUSTER_NETWORK_NOT_INTERNAL                                     equ     0C0130016H
STATUS_CLUSTER_POISONED                                                 equ     0C0130017H
STATUS_TRANSACTIONAL_CONFLICT                                           equ     0C0190001H
STATUS_INVALID_TRANSACTION                                              equ     0C0190002H
STATUS_TRANSACTION_NOT_ACTIVE                                           equ     0C0190003H
STATUS_TM_INITIALIZATION_FAILED                                         equ     0C0190004H
STATUS_RM_NOT_ACTIVE                                                    equ     0C0190005H
STATUS_RM_METADATA_CORRUPT                                              equ     0C0190006H
STATUS_TRANSACTION_NOT_JOINED                                           equ     0C0190007H
STATUS_DIRECTORY_NOT_RM                                                 equ     0C0190008H
STATUS_COULD_NOT_RESIZE_LOG                                             equ     080190009H
STATUS_TRANSACTIONS_UNSUPPORTED_REMOTE                                  equ     0C019000AH
STATUS_LOG_RESIZE_INVALID_SIZE                                          equ     0C019000BH
STATUS_REMOTE_FILE_VERSION_MISMATCH                                     equ     0C019000CH
STATUS_CRM_PROTOCOL_ALREADY_EXISTS                                      equ     0C019000FH
STATUS_TRANSACTION_PROPAGATION_FAILED                                   equ     0C0190010H
STATUS_CRM_PROTOCOL_NOT_FOUND                                           equ     0C0190011H
STATUS_TRANSACTION_SUPERIOR_EXISTS                                      equ     0C0190012H
STATUS_TRANSACTION_REQUEST_NOT_VALID                                    equ     0C0190013H
STATUS_TRANSACTION_NOT_REQUESTED                                        equ     0C0190014H
STATUS_TRANSACTION_ALREADY_ABORTED                                      equ     0C0190015H
STATUS_TRANSACTION_ALREADY_COMMITTED                                    equ     0C0190016H
STATUS_TRANSACTION_INVALID_MARSHALL_BUFFER                              equ     0C0190017H
STATUS_CURRENT_TRANSACTION_NOT_VALID                                    equ     0C0190018H
STATUS_LOG_GROWTH_FAILED                                                equ     0C0190019H
STATUS_OBJECT_NO_LONGER_EXISTS                                          equ     0C0190021H
STATUS_STREAM_MINIVERSION_NOT_FOUND                                     equ     0C0190022H
STATUS_STREAM_MINIVERSION_NOT_VALID                                     equ     0C0190023H
STATUS_MINIVERSION_INACCESSIBLE_FROM_SPECIFIED_TRANSACTION              equ     0C0190024H
STATUS_CANT_OPEN_MINIVERSION_WITH_MODIFY_INTENT                         equ     0C0190025H
STATUS_CANT_CREATE_MORE_STREAM_MINIVERSIONS                             equ     0C0190026H
STATUS_HANDLE_NO_LONGER_VALID                                           equ     0C0190028H
STATUS_NO_TXF_METADATA                                                  equ     080190029H
STATUS_LOG_CORRUPTION_DETECTED                                          equ     0C0190030H
STATUS_CANT_RECOVER_WITH_HANDLE_OPEN                                    equ     080190031H
STATUS_RM_DISCONNECTED                                                  equ     0C0190032H
STATUS_ENLISTMENT_NOT_SUPERIOR                                          equ     0C0190033H
STATUS_RECOVERY_NOT_NEEDED                                              equ     040190034H
STATUS_RM_ALREADY_STARTED                                               equ     040190035H
STATUS_FILE_IDENTITY_NOT_PERSISTENT                                     equ     0C0190036H
STATUS_CANT_BREAK_TRANSACTIONAL_DEPENDENCY                              equ     0C0190037H
STATUS_CANT_CROSS_RM_BOUNDARY                                           equ     0C0190038H
STATUS_TXF_DIR_NOT_EMPTY                                                equ     0C0190039H
STATUS_INDOUBT_TRANSACTIONS_EXIST                                       equ     0C019003AH
STATUS_TM_VOLATILE                                                      equ     0C019003BH
STATUS_ROLLBACK_TIMER_EXPIRED                                           equ     0C019003CH
STATUS_TXF_ATTRIBUTE_CORRUPT                                            equ     0C019003DH
STATUS_EFS_NOT_ALLOWED_IN_TRANSACTION                                   equ     0C019003EH
STATUS_TRANSACTIONAL_OPEN_NOT_ALLOWED                                   equ     0C019003FH
STATUS_TRANSACTED_MAPPING_UNSUPPORTED_REMOTE                            equ     0C0190040H
STATUS_TXF_METADATA_ALREADY_PRESENT                                     equ     080190041H
STATUS_TRANSACTION_SCOPE_CALLBACKS_NOT_SET                              equ     080190042H
STATUS_TRANSACTION_REQUIRED_PROMOTION                                   equ     0C0190043H
STATUS_CANNOT_EXECUTE_FILE_IN_TRANSACTION                               equ     0C0190044H
STATUS_TRANSACTIONS_NOT_FROZEN                                          equ     0C0190045H
STATUS_TRANSACTION_FREEZE_IN_PROGRESS                                   equ     0C0190046H
STATUS_NOT_SNAPSHOT_VOLUME                                              equ     0C0190047H
STATUS_NO_SAVEPOINT_WITH_OPEN_FILES                                     equ     0C0190048H
STATUS_SPARSE_NOT_ALLOWED_IN_TRANSACTION                                equ     0C0190049H
STATUS_TM_IDENTITY_MISMATCH                                             equ     0C019004AH
STATUS_FLOATED_SECTION                                                  equ     0C019004BH
STATUS_CANNOT_ACCEPT_TRANSACTED_WORK                                    equ     0C019004CH
STATUS_CANNOT_ABORT_TRANSACTIONS                                        equ     0C019004DH
STATUS_TRANSACTION_NOT_FOUND                                            equ     0C019004EH
STATUS_RESOURCEMANAGER_NOT_FOUND                                        equ     0C019004FH
STATUS_ENLISTMENT_NOT_FOUND                                             equ     0C0190050H
STATUS_TRANSACTIONMANAGER_NOT_FOUND                                     equ     0C0190051H
STATUS_TRANSACTIONMANAGER_NOT_ONLINE                                    equ     0C0190052H
STATUS_TRANSACTIONMANAGER_RECOVERY_NAME_COLLISION                       equ     0C0190053H
STATUS_TRANSACTION_NOT_ROOT                                             equ     0C0190054H
STATUS_TRANSACTION_OBJECT_EXPIRED                                       equ     0C0190055H
STATUS_COMPRESSION_NOT_ALLOWED_IN_TRANSACTION                           equ     0C0190056H
STATUS_TRANSACTION_RESPONSE_NOT_ENLISTED                                equ     0C0190057H
STATUS_TRANSACTION_RECORD_TOO_LONG                                      equ     0C0190058H
STATUS_NO_LINK_TRACKING_IN_TRANSACTION                                  equ     0C0190059H
STATUS_OPERATION_NOT_SUPPORTED_IN_TRANSACTION                           equ     0C019005AH
STATUS_TRANSACTION_INTEGRITY_VIOLATED                                   equ     0C019005BH
STATUS_TRANSACTIONMANAGER_IDENTITY_MISMATCH                             equ     0C019005CH
STATUS_RM_CANNOT_BE_FROZEN_FOR_SNAPSHOT                                 equ     0C019005DH
STATUS_TRANSACTION_MUST_WRITETHROUGH                                    equ     0C019005EH
STATUS_TRANSACTION_NO_SUPERIOR                                          equ     0C019005FH
STATUS_LOG_SECTOR_INVALID                                               equ     0C01A0001H
STATUS_LOG_SECTOR_PARITY_INVALID                                        equ     0C01A0002H
STATUS_LOG_SECTOR_REMAPPED                                              equ     0C01A0003H
STATUS_LOG_BLOCK_INCOMPLETE                                             equ     0C01A0004H
STATUS_LOG_INVALID_RANGE                                                equ     0C01A0005H
STATUS_LOG_BLOCKS_EXHAUSTED                                             equ     0C01A0006H
STATUS_LOG_READ_CONTEXT_INVALID                                         equ     0C01A0007H
STATUS_LOG_RESTART_INVALID                                              equ     0C01A0008H
STATUS_LOG_BLOCK_VERSION                                                equ     0C01A0009H
STATUS_LOG_BLOCK_INVALID                                                equ     0C01A000AH
STATUS_LOG_READ_MODE_INVALID                                            equ     0C01A000BH
STATUS_LOG_NO_RESTART                                                   equ     0401A000CH
STATUS_LOG_METADATA_CORRUPT                                             equ     0C01A000DH
STATUS_LOG_METADATA_INVALID                                             equ     0C01A000EH
STATUS_LOG_METADATA_INCONSISTENT                                        equ     0C01A000FH
STATUS_LOG_RESERVATION_INVALID                                          equ     0C01A0010H
STATUS_LOG_CANT_DELETE                                                  equ     0C01A0011H
STATUS_LOG_CONTAINER_LIMIT_EXCEEDED                                     equ     0C01A0012H
STATUS_LOG_START_OF_LOG                                                 equ     0C01A0013H
STATUS_LOG_POLICY_ALREADY_INSTALLED                                     equ     0C01A0014H
STATUS_LOG_POLICY_NOT_INSTALLED                                         equ     0C01A0015H
STATUS_LOG_POLICY_INVALID                                               equ     0C01A0016H
STATUS_LOG_POLICY_CONFLICT                                              equ     0C01A0017H
STATUS_LOG_PINNED_ARCHIVE_TAIL                                          equ     0C01A0018H
STATUS_LOG_RECORD_NONEXISTENT                                           equ     0C01A0019H
STATUS_LOG_RECORDS_RESERVED_INVALID                                     equ     0C01A001AH
STATUS_LOG_SPACE_RESERVED_INVALID                                       equ     0C01A001BH
STATUS_LOG_TAIL_INVALID                                                 equ     0C01A001CH
STATUS_LOG_FULL                                                         equ     0C01A001DH
STATUS_LOG_MULTIPLEXED                                                  equ     0C01A001EH
STATUS_LOG_DEDICATED                                                    equ     0C01A001FH
STATUS_LOG_ARCHIVE_NOT_IN_PROGRESS                                      equ     0C01A0020H
STATUS_LOG_ARCHIVE_IN_PROGRESS                                          equ     0C01A0021H
STATUS_LOG_EPHEMERAL                                                    equ     0C01A0022H
STATUS_LOG_NOT_ENOUGH_CONTAINERS                                        equ     0C01A0023H
STATUS_LOG_CLIENT_ALREADY_REGISTERED                                    equ     0C01A0024H
STATUS_LOG_CLIENT_NOT_REGISTERED                                        equ     0C01A0025H
STATUS_LOG_FULL_HANDLER_IN_PROGRESS                                     equ     0C01A0026H
STATUS_LOG_CONTAINER_READ_FAILED                                        equ     0C01A0027H
STATUS_LOG_CONTAINER_WRITE_FAILED                                       equ     0C01A0028H
STATUS_LOG_CONTAINER_OPEN_FAILED                                        equ     0C01A0029H
STATUS_LOG_CONTAINER_STATE_INVALID                                      equ     0C01A002AH
STATUS_LOG_STATE_INVALID                                                equ     0C01A002BH
STATUS_LOG_PINNED                                                       equ     0C01A002CH
STATUS_LOG_METADATA_FLUSH_FAILED                                        equ     0C01A002DH
STATUS_LOG_INCONSISTENT_SECURITY                                        equ     0C01A002EH
STATUS_LOG_APPENDED_FLUSH_FAILED                                        equ     0C01A002FH
STATUS_LOG_PINNED_RESERVATION                                           equ     0C01A0030H
STATUS_VIDEO_HUNG_DISPLAY_DRIVER_THREAD                                 equ     0C01B00EAH
STATUS_VIDEO_HUNG_DISPLAY_DRIVER_THREAD_RECOVERED                       equ     0801B00EBH
STATUS_VIDEO_DRIVER_DEBUG_REPORT_REQUEST                                equ     0401B00ECH
STATUS_MONITOR_NO_DESCRIPTOR                                            equ     0C01D0001H
STATUS_MONITOR_UNKNOWN_DESCRIPTOR_FORMAT                                equ     0C01D0002H
STATUS_MONITOR_INVALID_DESCRIPTOR_CHECKSUM                              equ     0C01D0003H
STATUS_MONITOR_INVALID_STANDARD_TIMING_BLOCK                            equ     0C01D0004H
STATUS_MONITOR_WMI_DATABLOCK_REGISTRATION_FAILED                        equ     0C01D0005H
STATUS_MONITOR_INVALID_SERIAL_NUMBER_MONDSC_BLOCK                       equ     0C01D0006H
STATUS_MONITOR_INVALID_USER_FRIENDLY_MONDSC_BLOCK                       equ     0C01D0007H
STATUS_MONITOR_NO_MORE_DESCRIPTOR_DATA                                  equ     0C01D0008H
STATUS_MONITOR_INVALID_DETAILED_TIMING_BLOCK                            equ     0C01D0009H
STATUS_GRAPHICS_NOT_EXCLUSIVE_MODE_OWNER                                equ     0C01E0000H
STATUS_GRAPHICS_INSUFFICIENT_DMA_BUFFER                                 equ     0C01E0001H
STATUS_GRAPHICS_INVALID_DISPLAY_ADAPTER                                 equ     0C01E0002H
STATUS_GRAPHICS_ADAPTER_WAS_RESET                                       equ     0C01E0003H
STATUS_GRAPHICS_INVALID_DRIVER_MODEL                                    equ     0C01E0004H
STATUS_GRAPHICS_PRESENT_MODE_CHANGED                                    equ     0C01E0005H
STATUS_GRAPHICS_PRESENT_OCCLUDED                                        equ     0C01E0006H
STATUS_GRAPHICS_PRESENT_DENIED                                          equ     0C01E0007H
STATUS_GRAPHICS_CANNOTCOLORCONVERT                                      equ     0C01E0008H
STATUS_GRAPHICS_DRIVER_MISMATCH                                         equ     0C01E0009H
STATUS_GRAPHICS_PARTIAL_DATA_POPULATED                                  equ     0401E000AH
STATUS_GRAPHICS_NO_VIDEO_MEMORY                                         equ     0C01E0100H
STATUS_GRAPHICS_CANT_LOCK_MEMORY                                        equ     0C01E0101H
STATUS_GRAPHICS_ALLOCATION_BUSY                                         equ     0C01E0102H
STATUS_GRAPHICS_TOO_MANY_REFERENCES                                     equ     0C01E0103H
STATUS_GRAPHICS_TRY_AGAIN_LATER                                         equ     0C01E0104H
STATUS_GRAPHICS_TRY_AGAIN_NOW                                           equ     0C01E0105H
STATUS_GRAPHICS_ALLOCATION_INVALID                                      equ     0C01E0106H
STATUS_GRAPHICS_UNSWIZZLING_APERTURE_UNAVAILABLE                        equ     0C01E0107H
STATUS_GRAPHICS_UNSWIZZLING_APERTURE_UNSUPPORTED                        equ     0C01E0108H
STATUS_GRAPHICS_CANT_EVICT_PINNED_ALLOCATION                            equ     0C01E0109H
STATUS_GRAPHICS_INVALID_ALLOCATION_USAGE                                equ     0C01E0110H
STATUS_GRAPHICS_CANT_RENDER_LOCKED_ALLOCATION                           equ     0C01E0111H
STATUS_GRAPHICS_ALLOCATION_CLOSED                                       equ     0C01E0112H
STATUS_GRAPHICS_INVALID_ALLOCATION_INSTANCE                             equ     0C01E0113H
STATUS_GRAPHICS_INVALID_ALLOCATION_HANDLE                               equ     0C01E0114H
STATUS_GRAPHICS_WRONG_ALLOCATION_DEVICE                                 equ     0C01E0115H
STATUS_GRAPHICS_ALLOCATION_CONTENT_LOST                                 equ     0C01E0116H
STATUS_GRAPHICS_GPU_EXCEPTION_ON_DEVICE                                 equ     0C01E0200H
STATUS_GRAPHICS_INVALID_VIDPN_TOPOLOGY                                  equ     0C01E0300H
STATUS_GRAPHICS_VIDPN_TOPOLOGY_NOT_SUPPORTED                            equ     0C01E0301H
STATUS_GRAPHICS_VIDPN_TOPOLOGY_CURRENTLY_NOT_SUPPORTED                  equ     0C01E0302H
STATUS_GRAPHICS_INVALID_VIDPN                                           equ     0C01E0303H
STATUS_GRAPHICS_INVALID_VIDEO_PRESENT_SOURCE                            equ     0C01E0304H
STATUS_GRAPHICS_INVALID_VIDEO_PRESENT_TARGET                            equ     0C01E0305H
STATUS_GRAPHICS_VIDPN_MODALITY_NOT_SUPPORTED                            equ     0C01E0306H
STATUS_GRAPHICS_MODE_NOT_PINNED                                         equ     0401E0307H
STATUS_GRAPHICS_INVALID_VIDPN_SOURCEMODESET                             equ     0C01E0308H
STATUS_GRAPHICS_INVALID_VIDPN_TARGETMODESET                             equ     0C01E0309H
STATUS_GRAPHICS_INVALID_FREQUENCY                                       equ     0C01E030AH
STATUS_GRAPHICS_INVALID_ACTIVE_REGION                                   equ     0C01E030BH
STATUS_GRAPHICS_INVALID_TOTAL_REGION                                    equ     0C01E030CH
STATUS_GRAPHICS_INVALID_VIDEO_PRESENT_SOURCE_MODE                       equ     0C01E0310H
STATUS_GRAPHICS_INVALID_VIDEO_PRESENT_TARGET_MODE                       equ     0C01E0311H
STATUS_GRAPHICS_PINNED_MODE_MUST_REMAIN_IN_SET                          equ     0C01E0312H
STATUS_GRAPHICS_PATH_ALREADY_IN_TOPOLOGY                                equ     0C01E0313H
STATUS_GRAPHICS_MODE_ALREADY_IN_MODESET                                 equ     0C01E0314H
STATUS_GRAPHICS_INVALID_VIDEOPRESENTSOURCESET                           equ     0C01E0315H
STATUS_GRAPHICS_INVALID_VIDEOPRESENTTARGETSET                           equ     0C01E0316H
STATUS_GRAPHICS_SOURCE_ALREADY_IN_SET                                   equ     0C01E0317H
STATUS_GRAPHICS_TARGET_ALREADY_IN_SET                                   equ     0C01E0318H
STATUS_GRAPHICS_INVALID_VIDPN_PRESENT_PATH                              equ     0C01E0319H
STATUS_GRAPHICS_NO_RECOMMENDED_VIDPN_TOPOLOGY                           equ     0C01E031AH
STATUS_GRAPHICS_INVALID_MONITOR_FREQUENCYRANGESET                       equ     0C01E031BH
STATUS_GRAPHICS_INVALID_MONITOR_FREQUENCYRANGE                          equ     0C01E031CH
STATUS_GRAPHICS_FREQUENCYRANGE_NOT_IN_SET                               equ     0C01E031DH
STATUS_GRAPHICS_NO_PREFERRED_MODE                                       equ     0401E031EH
STATUS_GRAPHICS_FREQUENCYRANGE_ALREADY_IN_SET                           equ     0C01E031FH
STATUS_GRAPHICS_STALE_MODESET                                           equ     0C01E0320H
STATUS_GRAPHICS_INVALID_MONITOR_SOURCEMODESET                           equ     0C01E0321H
STATUS_GRAPHICS_INVALID_MONITOR_SOURCE_MODE                             equ     0C01E0322H
STATUS_GRAPHICS_NO_RECOMMENDED_FUNCTIONAL_VIDPN                         equ     0C01E0323H
STATUS_GRAPHICS_MODE_ID_MUST_BE_UNIQUE                                  equ     0C01E0324H
STATUS_GRAPHICS_EMPTY_ADAPTER_MONITOR_MODE_SUPPORT_INTERSECTION         equ     0C01E0325H
STATUS_GRAPHICS_VIDEO_PRESENT_TARGETS_LESS_THAN_SOURCES                 equ     0C01E0326H
STATUS_GRAPHICS_PATH_NOT_IN_TOPOLOGY                                    equ     0C01E0327H
STATUS_GRAPHICS_ADAPTER_MUST_HAVE_AT_LEAST_ONE_SOURCE                   equ     0C01E0328H
STATUS_GRAPHICS_ADAPTER_MUST_HAVE_AT_LEAST_ONE_TARGET                   equ     0C01E0329H
STATUS_GRAPHICS_INVALID_MONITORDESCRIPTORSET                            equ     0C01E032AH
STATUS_GRAPHICS_INVALID_MONITORDESCRIPTOR                               equ     0C01E032BH
STATUS_GRAPHICS_MONITORDESCRIPTOR_NOT_IN_SET                            equ     0C01E032CH
STATUS_GRAPHICS_MONITORDESCRIPTOR_ALREADY_IN_SET                        equ     0C01E032DH
STATUS_GRAPHICS_MONITORDESCRIPTOR_ID_MUST_BE_UNIQUE                     equ     0C01E032EH
STATUS_GRAPHICS_INVALID_VIDPN_TARGET_SUBSET_TYPE                        equ     0C01E032FH
STATUS_GRAPHICS_RESOURCES_NOT_RELATED                                   equ     0C01E0330H
STATUS_GRAPHICS_SOURCE_ID_MUST_BE_UNIQUE                                equ     0C01E0331H
STATUS_GRAPHICS_TARGET_ID_MUST_BE_UNIQUE                                equ     0C01E0332H
STATUS_GRAPHICS_NO_AVAILABLE_VIDPN_TARGET                               equ     0C01E0333H
STATUS_GRAPHICS_MONITOR_COULD_NOT_BE_ASSOCIATED_WITH_ADAPTER            equ     0C01E0334H
STATUS_GRAPHICS_NO_VIDPNMGR                                             equ     0C01E0335H
STATUS_GRAPHICS_NO_ACTIVE_VIDPN                                         equ     0C01E0336H
STATUS_GRAPHICS_STALE_VIDPN_TOPOLOGY                                    equ     0C01E0337H
STATUS_GRAPHICS_MONITOR_NOT_CONNECTED                                   equ     0C01E0338H
STATUS_GRAPHICS_SOURCE_NOT_IN_TOPOLOGY                                  equ     0C01E0339H
STATUS_GRAPHICS_INVALID_PRIMARYSURFACE_SIZE                             equ     0C01E033AH
STATUS_GRAPHICS_INVALID_VISIBLEREGION_SIZE                              equ     0C01E033BH
STATUS_GRAPHICS_INVALID_STRIDE                                          equ     0C01E033CH
STATUS_GRAPHICS_INVALID_PIXELFORMAT                                     equ     0C01E033DH
STATUS_GRAPHICS_INVALID_COLORBASIS                                      equ     0C01E033EH
STATUS_GRAPHICS_INVALID_PIXELVALUEACCESSMODE                            equ     0C01E033FH
STATUS_GRAPHICS_TARGET_NOT_IN_TOPOLOGY                                  equ     0C01E0340H
STATUS_GRAPHICS_NO_DISPLAY_MODE_MANAGEMENT_SUPPORT                      equ     0C01E0341H
STATUS_GRAPHICS_VIDPN_SOURCE_IN_USE                                     equ     0C01E0342H
STATUS_GRAPHICS_CANT_ACCESS_ACTIVE_VIDPN                                equ     0C01E0343H
STATUS_GRAPHICS_INVALID_PATH_IMPORTANCE_ORDINAL                         equ     0C01E0344H
STATUS_GRAPHICS_INVALID_PATH_CONTENT_GEOMETRY_TRANSFORMATION            equ     0C01E0345H
STATUS_GRAPHICS_PATH_CONTENT_GEOMETRY_TRANSFORMATION_NOT_SUPPORTED      equ     0C01E0346H
STATUS_GRAPHICS_INVALID_GAMMA_RAMP                                      equ     0C01E0347H
STATUS_GRAPHICS_GAMMA_RAMP_NOT_SUPPORTED                                equ     0C01E0348H
STATUS_GRAPHICS_MULTISAMPLING_NOT_SUPPORTED                             equ     0C01E0349H
STATUS_GRAPHICS_MODE_NOT_IN_MODESET                                     equ     0C01E034AH
STATUS_GRAPHICS_DATASET_IS_EMPTY                                        equ     0401E034BH
STATUS_GRAPHICS_NO_MORE_ELEMENTS_IN_DATASET                             equ     0401E034CH
STATUS_GRAPHICS_INVALID_VIDPN_TOPOLOGY_RECOMMENDATION_REASON            equ     0C01E034DH
STATUS_GRAPHICS_INVALID_PATH_CONTENT_TYPE                               equ     0C01E034EH
STATUS_GRAPHICS_INVALID_COPYPROTECTION_TYPE                             equ     0C01E034FH
STATUS_GRAPHICS_UNASSIGNED_MODESET_ALREADY_EXISTS                       equ     0C01E0350H
STATUS_GRAPHICS_PATH_CONTENT_GEOMETRY_TRANSFORMATION_NOT_PINNED         equ     0401E0351H
STATUS_GRAPHICS_INVALID_SCANLINE_ORDERING                               equ     0C01E0352H
STATUS_GRAPHICS_TOPOLOGY_CHANGES_NOT_ALLOWED                            equ     0C01E0353H
STATUS_GRAPHICS_NO_AVAILABLE_IMPORTANCE_ORDINALS                        equ     0C01E0354H
STATUS_GRAPHICS_INCOMPATIBLE_PRIVATE_FORMAT                             equ     0C01E0355H
STATUS_GRAPHICS_INVALID_MODE_PRUNING_ALGORITHM                          equ     0C01E0356H
STATUS_GRAPHICS_INVALID_MONITOR_CAPABILITY_ORIGIN                       equ     0C01E0357H
STATUS_GRAPHICS_INVALID_MONITOR_FREQUENCYRANGE_CONSTRAINT               equ     0C01E0358H
STATUS_GRAPHICS_MAX_NUM_PATHS_REACHED                                   equ     0C01E0359H
STATUS_GRAPHICS_CANCEL_VIDPN_TOPOLOGY_AUGMENTATION                      equ     0C01E035AH
STATUS_GRAPHICS_INVALID_CLIENT_TYPE                                     equ     0C01E035BH
STATUS_GRAPHICS_CLIENTVIDPN_NOT_SET                                     equ     0C01E035CH
STATUS_GRAPHICS_SPECIFIED_CHILD_ALREADY_CONNECTED                       equ     0C01E0400H
STATUS_GRAPHICS_CHILD_DESCRIPTOR_NOT_SUPPORTED                          equ     0C01E0401H
STATUS_GRAPHICS_UNKNOWN_CHILD_STATUS                                    equ     0401E042FH
STATUS_GRAPHICS_NOT_A_LINKED_ADAPTER                                    equ     0C01E0430H
STATUS_GRAPHICS_LEADLINK_NOT_ENUMERATED                                 equ     0C01E0431H
STATUS_GRAPHICS_CHAINLINKS_NOT_ENUMERATED                               equ     0C01E0432H
STATUS_GRAPHICS_ADAPTER_CHAIN_NOT_READY                                 equ     0C01E0433H
STATUS_GRAPHICS_CHAINLINKS_NOT_STARTED                                  equ     0C01E0434H
STATUS_GRAPHICS_CHAINLINKS_NOT_POWERED_ON                               equ     0C01E0435H
STATUS_GRAPHICS_INCONSISTENT_DEVICE_LINK_STATE                          equ     0C01E0436H
STATUS_GRAPHICS_LEADLINK_START_DEFERRED                                 equ     0401E0437H
STATUS_GRAPHICS_NOT_POST_DEVICE_DRIVER                                  equ     0C01E0438H
STATUS_GRAPHICS_POLLING_TOO_FREQUENTLY                                  equ     0401E0439H
STATUS_GRAPHICS_START_DEFERRED                                          equ     0401E043AH
STATUS_GRAPHICS_ADAPTER_ACCESS_NOT_EXCLUDED                             equ     0C01E043BH
STATUS_GRAPHICS_OPM_NOT_SUPPORTED                                       equ     0C01E0500H
STATUS_GRAPHICS_COPP_NOT_SUPPORTED                                      equ     0C01E0501H
STATUS_GRAPHICS_UAB_NOT_SUPPORTED                                       equ     0C01E0502H
STATUS_GRAPHICS_OPM_INVALID_ENCRYPTED_PARAMETERS                        equ     0C01E0503H
STATUS_GRAPHICS_OPM_NO_PROTECTED_OUTPUTS_EXIST                          equ     0C01E0505H
STATUS_GRAPHICS_OPM_INTERNAL_ERROR                                      equ     0C01E050BH
STATUS_GRAPHICS_OPM_INVALID_HANDLE                                      equ     0C01E050CH
STATUS_GRAPHICS_PVP_INVALID_CERTIFICATE_LENGTH                          equ     0C01E050EH
STATUS_GRAPHICS_OPM_SPANNING_MODE_ENABLED                               equ     0C01E050FH
STATUS_GRAPHICS_OPM_THEATER_MODE_ENABLED                                equ     0C01E0510H
STATUS_GRAPHICS_PVP_HFS_FAILED                                          equ     0C01E0511H
STATUS_GRAPHICS_OPM_INVALID_SRM                                         equ     0C01E0512H
STATUS_GRAPHICS_OPM_OUTPUT_DOES_NOT_SUPPORT_HDCP                        equ     0C01E0513H
STATUS_GRAPHICS_OPM_OUTPUT_DOES_NOT_SUPPORT_ACP                         equ     0C01E0514H
STATUS_GRAPHICS_OPM_OUTPUT_DOES_NOT_SUPPORT_CGMSA                       equ     0C01E0515H
STATUS_GRAPHICS_OPM_HDCP_SRM_NEVER_SET                                  equ     0C01E0516H
STATUS_GRAPHICS_OPM_RESOLUTION_TOO_HIGH                                 equ     0C01E0517H
STATUS_GRAPHICS_OPM_ALL_HDCP_HARDWARE_ALREADY_IN_USE                    equ     0C01E0518H
STATUS_GRAPHICS_OPM_PROTECTED_OUTPUT_NO_LONGER_EXISTS                   equ     0C01E051AH
STATUS_GRAPHICS_OPM_PROTECTED_OUTPUT_DOES_NOT_HAVE_COPP_SEMANTICS       equ     0C01E051CH
STATUS_GRAPHICS_OPM_INVALID_INFORMATION_REQUEST                         equ     0C01E051DH
STATUS_GRAPHICS_OPM_DRIVER_INTERNAL_ERROR                               equ     0C01E051EH
STATUS_GRAPHICS_OPM_PROTECTED_OUTPUT_DOES_NOT_HAVE_OPM_SEMANTICS        equ     0C01E051FH
STATUS_GRAPHICS_OPM_SIGNALING_NOT_SUPPORTED                             equ     0C01E0520H
STATUS_GRAPHICS_OPM_INVALID_CONFIGURATION_REQUEST                       equ     0C01E0521H
STATUS_GRAPHICS_I2C_NOT_SUPPORTED                                       equ     0C01E0580H
STATUS_GRAPHICS_I2C_DEVICE_DOES_NOT_EXIST                               equ     0C01E0581H
STATUS_GRAPHICS_I2C_ERROR_TRANSMITTING_DATA                             equ     0C01E0582H
STATUS_GRAPHICS_I2C_ERROR_RECEIVING_DATA                                equ     0C01E0583H
STATUS_GRAPHICS_DDCCI_VCP_NOT_SUPPORTED                                 equ     0C01E0584H
STATUS_GRAPHICS_DDCCI_INVALID_DATA                                      equ     0C01E0585H
STATUS_GRAPHICS_DDCCI_MONITOR_RETURNED_INVALID_TIMING_STATUS_BYTE       equ     0C01E0586H
STATUS_GRAPHICS_DDCCI_INVALID_CAPABILITIES_STRING                       equ     0C01E0587H
STATUS_GRAPHICS_MCA_INTERNAL_ERROR                                      equ     0C01E0588H
STATUS_GRAPHICS_DDCCI_INVALID_MESSAGE_COMMAND                           equ     0C01E0589H
STATUS_GRAPHICS_DDCCI_INVALID_MESSAGE_LENGTH                            equ     0C01E058AH
STATUS_GRAPHICS_DDCCI_INVALID_MESSAGE_CHECKSUM                          equ     0C01E058BH
STATUS_GRAPHICS_INVALID_PHYSICAL_MONITOR_HANDLE                         equ     0C01E058CH
STATUS_GRAPHICS_MONITOR_NO_LONGER_EXISTS                                equ     0C01E058DH
STATUS_GRAPHICS_ONLY_CONSOLE_SESSION_SUPPORTED                          equ     0C01E05E0H
STATUS_GRAPHICS_NO_DISPLAY_DEVICE_CORRESPONDS_TO_NAME                   equ     0C01E05E1H
STATUS_GRAPHICS_DISPLAY_DEVICE_NOT_ATTACHED_TO_DESKTOP                  equ     0C01E05E2H
STATUS_GRAPHICS_MIRRORING_DEVICES_NOT_SUPPORTED                         equ     0C01E05E3H
STATUS_GRAPHICS_INVALID_POINTER                                         equ     0C01E05E4H
STATUS_GRAPHICS_NO_MONITORS_CORRESPOND_TO_DISPLAY_DEVICE                equ     0C01E05E5H
STATUS_GRAPHICS_PARAMETER_ARRAY_TOO_SMALL                               equ     0C01E05E6H
STATUS_GRAPHICS_INTERNAL_ERROR                                          equ     0C01E05E7H
STATUS_GRAPHICS_SESSION_TYPE_CHANGE_IN_PROGRESS                         equ     0C01E05E8H
STATUS_FVE_LOCKED_VOLUME                                                equ     0C0210000H
STATUS_FVE_NOT_ENCRYPTED                                                equ     0C0210001H
STATUS_FVE_BAD_INFORMATION                                              equ     0C0210002H
STATUS_FVE_TOO_SMALL                                                    equ     0C0210003H
STATUS_FVE_FAILED_WRONG_FS                                              equ     0C0210004H
STATUS_FVE_FAILED_BAD_FS                                                equ     0C0210005H
STATUS_FVE_FS_NOT_EXTENDED                                              equ     0C0210006H
STATUS_FVE_FS_MOUNTED                                                   equ     0C0210007H
STATUS_FVE_NO_LICENSE                                                   equ     0C0210008H
STATUS_FVE_ACTION_NOT_ALLOWED                                           equ     0C0210009H
STATUS_FVE_BAD_DATA                                                     equ     0C021000AH
STATUS_FVE_VOLUME_NOT_BOUND                                             equ     0C021000BH
STATUS_FVE_NOT_DATA_VOLUME                                              equ     0C021000CH
STATUS_FVE_CONV_READ_ERROR                                              equ     0C021000DH
STATUS_FVE_CONV_WRITE_ERROR                                             equ     0C021000EH
STATUS_FVE_OVERLAPPED_UPDATE                                            equ     0C021000FH
STATUS_FVE_FAILED_SECTOR_SIZE                                           equ     0C0210010H
STATUS_FVE_FAILED_AUTHENTICATION                                        equ     0C0210011H
STATUS_FVE_NOT_OS_VOLUME                                                equ     0C0210012H
STATUS_FVE_KEYFILE_NOT_FOUND                                            equ     0C0210013H
STATUS_FVE_KEYFILE_INVALID                                              equ     0C0210014H
STATUS_FVE_KEYFILE_NO_VMK                                               equ     0C0210015H
STATUS_FVE_TPM_DISABLED                                                 equ     0C0210016H
STATUS_FVE_TPM_SRK_AUTH_NOT_ZERO                                        equ     0C0210017H
STATUS_FVE_TPM_INVALID_PCR                                              equ     0C0210018H
STATUS_FVE_TPM_NO_VMK                                                   equ     0C0210019H
STATUS_FVE_PIN_INVALID                                                  equ     0C021001AH
STATUS_FVE_AUTH_INVALID_APPLICATION                                     equ     0C021001BH
STATUS_FVE_AUTH_INVALID_CONFIG                                          equ     0C021001CH
STATUS_FVE_DEBUGGER_ENABLED                                             equ     0C021001DH
STATUS_FVE_DRY_RUN_FAILED                                               equ     0C021001EH
STATUS_FVE_BAD_METADATA_POINTER                                         equ     0C021001FH
STATUS_FVE_OLD_METADATA_COPY                                            equ     0C0210020H
STATUS_FVE_REBOOT_REQUIRED                                              equ     0C0210021H
STATUS_FVE_RAW_ACCESS                                                   equ     0C0210022H
STATUS_FVE_RAW_BLOCKED                                                  equ     0C0210023H
STATUS_FVE_NO_AUTOUNLOCK_MASTER_KEY                                     equ     0C0210024H
STATUS_FVE_MOR_FAILED                                                   equ     0C0210025H
STATUS_FWP_CALLOUT_NOT_FOUND                                            equ     0C0220001H
STATUS_FWP_CONDITION_NOT_FOUND                                          equ     0C0220002H
STATUS_FWP_FILTER_NOT_FOUND                                             equ     0C0220003H
STATUS_FWP_LAYER_NOT_FOUND                                              equ     0C0220004H
STATUS_FWP_PROVIDER_NOT_FOUND                                           equ     0C0220005H
STATUS_FWP_PROVIDER_CONTEXT_NOT_FOUND                                   equ     0C0220006H
STATUS_FWP_SUBLAYER_NOT_FOUND                                           equ     0C0220007H
STATUS_FWP_NOT_FOUND                                                    equ     0C0220008H
STATUS_FWP_ALREADY_EXISTS                                               equ     0C0220009H
STATUS_FWP_IN_USE                                                       equ     0C022000AH
STATUS_FWP_DYNAMIC_SESSION_IN_PROGRESS                                  equ     0C022000BH
STATUS_FWP_WRONG_SESSION                                                equ     0C022000CH
STATUS_FWP_NO_TXN_IN_PROGRESS                                           equ     0C022000DH
STATUS_FWP_TXN_IN_PROGRESS                                              equ     0C022000EH
STATUS_FWP_TXN_ABORTED                                                  equ     0C022000FH
STATUS_FWP_SESSION_ABORTED                                              equ     0C0220010H
STATUS_FWP_INCOMPATIBLE_TXN                                             equ     0C0220011H
STATUS_FWP_TIMEOUT                                                      equ     0C0220012H
STATUS_FWP_NET_EVENTS_DISABLED                                          equ     0C0220013H
STATUS_FWP_INCOMPATIBLE_LAYER                                           equ     0C0220014H
STATUS_FWP_KM_CLIENTS_ONLY                                              equ     0C0220015H
STATUS_FWP_LIFETIME_MISMATCH                                            equ     0C0220016H
STATUS_FWP_BUILTIN_OBJECT                                               equ     0C0220017H
STATUS_FWP_TOO_MANY_CALLOUTS                                            equ     0C0220018H
STATUS_FWP_NOTIFICATION_DROPPED                                         equ     0C0220019H
STATUS_FWP_TRAFFIC_MISMATCH                                             equ     0C022001AH
STATUS_FWP_INCOMPATIBLE_SA_STATE                                        equ     0C022001BH
STATUS_FWP_NULL_POINTER                                                 equ     0C022001CH
STATUS_FWP_INVALID_ENUMERATOR                                           equ     0C022001DH
STATUS_FWP_INVALID_FLAGS                                                equ     0C022001EH
STATUS_FWP_INVALID_NET_MASK                                             equ     0C022001FH
STATUS_FWP_INVALID_RANGE                                                equ     0C0220020H
STATUS_FWP_INVALID_INTERVAL                                             equ     0C0220021H
STATUS_FWP_ZERO_LENGTH_ARRAY                                            equ     0C0220022H
STATUS_FWP_NULL_DISPLAY_NAME                                            equ     0C0220023H
STATUS_FWP_INVALID_ACTION_TYPE                                          equ     0C0220024H
STATUS_FWP_INVALID_WEIGHT                                               equ     0C0220025H
STATUS_FWP_MATCH_TYPE_MISMATCH                                          equ     0C0220026H
STATUS_FWP_TYPE_MISMATCH                                                equ     0C0220027H
STATUS_FWP_OUT_OF_BOUNDS                                                equ     0C0220028H
STATUS_FWP_RESERVED                                                     equ     0C0220029H
STATUS_FWP_DUPLICATE_CONDITION                                          equ     0C022002AH
STATUS_FWP_DUPLICATE_KEYMOD                                             equ     0C022002BH
STATUS_FWP_ACTION_INCOMPATIBLE_WITH_LAYER                               equ     0C022002CH
STATUS_FWP_ACTION_INCOMPATIBLE_WITH_SUBLAYER                            equ     0C022002DH
STATUS_FWP_CONTEXT_INCOMPATIBLE_WITH_LAYER                              equ     0C022002EH
STATUS_FWP_CONTEXT_INCOMPATIBLE_WITH_CALLOUT                            equ     0C022002FH
STATUS_FWP_INCOMPATIBLE_AUTH_METHOD                                     equ     0C0220030H
STATUS_FWP_INCOMPATIBLE_DH_GROUP                                        equ     0C0220031H
STATUS_FWP_EM_NOT_SUPPORTED                                             equ     0C0220032H
STATUS_FWP_NEVER_MATCH                                                  equ     0C0220033H
STATUS_FWP_PROVIDER_CONTEXT_MISMATCH                                    equ     0C0220034H
STATUS_FWP_INVALID_PARAMETER                                            equ     0C0220035H
STATUS_FWP_TOO_MANY_SUBLAYERS                                           equ     0C0220036H
STATUS_FWP_CALLOUT_NOTIFICATION_FAILED                                  equ     0C0220037H
STATUS_FWP_INVALID_AUTH_TRANSFORM                                       equ     0C0220038H
STATUS_FWP_INVALID_CIPHER_TRANSFORM                                     equ     0C0220039H
STATUS_FWP_INCOMPATIBLE_CIPHER_TRANSFORM                                equ     0C022003AH
STATUS_FWP_INVALID_TRANSFORM_COMBINATION                                equ     0C022003BH
STATUS_FWP_TCPIP_NOT_READY                                              equ     0C0220100H
STATUS_FWP_INJECT_HANDLE_CLOSING                                        equ     0C0220101H
STATUS_FWP_INJECT_HANDLE_STALE                                          equ     0C0220102H
STATUS_FWP_CANNOT_PEND                                                  equ     0C0220103H
STATUS_FWP_DROP_NOICMP                                                  equ     0C0220104H
STATUS_NDIS_CLOSING                                                     equ     0C0230002H
STATUS_NDIS_BAD_VERSION                                                 equ     0C0230004H
STATUS_NDIS_BAD_CHARACTERISTICS                                         equ     0C0230005H
STATUS_NDIS_ADAPTER_NOT_FOUND                                           equ     0C0230006H
STATUS_NDIS_OPEN_FAILED                                                 equ     0C0230007H
STATUS_NDIS_DEVICE_FAILED                                               equ     0C0230008H
STATUS_NDIS_MULTICAST_FULL                                              equ     0C0230009H
STATUS_NDIS_MULTICAST_EXISTS                                            equ     0C023000AH
STATUS_NDIS_MULTICAST_NOT_FOUND                                         equ     0C023000BH
STATUS_NDIS_REQUEST_ABORTED                                             equ     0C023000CH
STATUS_NDIS_RESET_IN_PROGRESS                                           equ     0C023000DH
STATUS_NDIS_NOT_SUPPORTED                                               equ     0C02300BBH
STATUS_NDIS_INVALID_PACKET                                              equ     0C023000FH
STATUS_NDIS_ADAPTER_NOT_READY                                           equ     0C0230011H
STATUS_NDIS_INVALID_LENGTH                                              equ     0C0230014H
STATUS_NDIS_INVALID_DATA                                                equ     0C0230015H
STATUS_NDIS_BUFFER_TOO_SHORT                                            equ     0C0230016H
STATUS_NDIS_INVALID_OID                                                 equ     0C0230017H
STATUS_NDIS_ADAPTER_REMOVED                                             equ     0C0230018H
STATUS_NDIS_UNSUPPORTED_MEDIA                                           equ     0C0230019H
STATUS_NDIS_GROUP_ADDRESS_IN_USE                                        equ     0C023001AH
STATUS_NDIS_FILE_NOT_FOUND                                              equ     0C023001BH
STATUS_NDIS_ERROR_READING_FILE                                          equ     0C023001CH
STATUS_NDIS_ALREADY_MAPPED                                              equ     0C023001DH
STATUS_NDIS_RESOURCE_CONFLICT                                           equ     0C023001EH
STATUS_NDIS_MEDIA_DISCONNECTED                                          equ     0C023001FH
STATUS_NDIS_INVALID_ADDRESS                                             equ     0C0230022H
STATUS_NDIS_INVALID_DEVICE_REQUEST                                      equ     0C0230010H
STATUS_NDIS_PAUSED                                                      equ     0C023002AH
STATUS_NDIS_INTERFACE_NOT_FOUND                                         equ     0C023002BH
STATUS_NDIS_UNSUPPORTED_REVISION                                        equ     0C023002CH
STATUS_NDIS_INVALID_PORT                                                equ     0C023002DH
STATUS_NDIS_INVALID_PORT_STATE                                          equ     0C023002EH
STATUS_NDIS_LOW_POWER_STATE                                             equ     0C023002FH
STATUS_NDIS_DOT11_AUTO_CONFIG_ENABLED                                   equ     0C0232000H
STATUS_NDIS_DOT11_MEDIA_IN_USE                                          equ     0C0232001H
STATUS_NDIS_DOT11_POWER_STATE_INVALID                                   equ     0C0232002H
STATUS_NDIS_INDICATION_REQUIRED                                         equ     040230001H
STATUS_HV_INVALID_HYPERCALL_CODE                                        equ     0C0350002H
STATUS_HV_INVALID_HYPERCALL_INPUT                                       equ     0C0350003H
STATUS_HV_INVALID_ALIGNMENT                                             equ     0C0350004H
STATUS_HV_INVALID_PARAMETER                                             equ     0C0350005H
STATUS_HV_ACCESS_DENIED                                                 equ     0C0350006H
STATUS_HV_INVALID_PARTITION_STATE                                       equ     0C0350007H
STATUS_HV_OPERATION_DENIED                                              equ     0C0350008H
STATUS_HV_UNKNOWN_PROPERTY                                              equ     0C0350009H
STATUS_HV_PROPERTY_VALUE_OUT_OF_RANGE                                   equ     0C035000AH
STATUS_HV_INSUFFICIENT_MEMORY                                           equ     0C035000BH
STATUS_HV_PARTITION_TOO_DEEP                                            equ     0C035000CH
STATUS_HV_INVALID_PARTITION_ID                                          equ     0C035000DH
STATUS_HV_INVALID_VP_INDEX                                              equ     0C035000EH
STATUS_HV_INVALID_PORT_ID                                               equ     0C0350011H
STATUS_HV_INVALID_CONNECTION_ID                                         equ     0C0350012H
STATUS_HV_INSUFFICIENT_BUFFERS                                          equ     0C0350013H
STATUS_HV_NOT_ACKNOWLEDGED                                              equ     0C0350014H
STATUS_HV_ACKNOWLEDGED                                                  equ     0C0350016H
STATUS_HV_INVALID_SAVE_RESTORE_STATE                                    equ     0C0350017H
STATUS_HV_INVALID_SYNIC_STATE                                           equ     0C0350018H
STATUS_HV_OBJECT_IN_USE                                                 equ     0C0350019H
STATUS_HV_INVALID_PROXIMITY_DOMAIN_INFO                                 equ     0C035001AH
STATUS_HV_NO_DATA                                                       equ     0C035001BH
STATUS_HV_INACTIVE                                                      equ     0C035001CH
STATUS_HV_NO_RESOURCES                                                  equ     0C035001DH
STATUS_HV_FEATURE_UNAVAILABLE                                           equ     0C035001EH
STATUS_HV_NOT_PRESENT                                                   equ     0C0351000H
STATUS_VID_DUPLICATE_HANDLER                                            equ     0C0370001H
STATUS_VID_TOO_MANY_HANDLERS                                            equ     0C0370002H
STATUS_VID_QUEUE_FULL                                                   equ     0C0370003H
STATUS_VID_HANDLER_NOT_PRESENT                                          equ     0C0370004H
STATUS_VID_INVALID_OBJECT_NAME                                          equ     0C0370005H
STATUS_VID_PARTITION_NAME_TOO_LONG                                      equ     0C0370006H
STATUS_VID_MESSAGE_QUEUE_NAME_TOO_LONG                                  equ     0C0370007H
STATUS_VID_PARTITION_ALREADY_EXISTS                                     equ     0C0370008H
STATUS_VID_PARTITION_DOES_NOT_EXIST                                     equ     0C0370009H
STATUS_VID_PARTITION_NAME_NOT_FOUND                                     equ     0C037000AH
STATUS_VID_MESSAGE_QUEUE_ALREADY_EXISTS                                 equ     0C037000BH
STATUS_VID_EXCEEDED_MBP_ENTRY_MAP_LIMIT                                 equ     0C037000CH
STATUS_VID_MB_STILL_REFERENCED                                          equ     0C037000DH
STATUS_VID_CHILD_GPA_PAGE_SET_CORRUPTED                                 equ     0C037000EH
STATUS_VID_INVALID_NUMA_SETTINGS                                        equ     0C037000FH
STATUS_VID_INVALID_NUMA_NODE_INDEX                                      equ     0C0370010H
STATUS_VID_NOTIFICATION_QUEUE_ALREADY_ASSOCIATED                        equ     0C0370011H
STATUS_VID_INVALID_MEMORY_BLOCK_HANDLE                                  equ     0C0370012H
STATUS_VID_PAGE_RANGE_OVERFLOW                                          equ     0C0370013H
STATUS_VID_INVALID_MESSAGE_QUEUE_HANDLE                                 equ     0C0370014H
STATUS_VID_INVALID_GPA_RANGE_HANDLE                                     equ     0C0370015H
STATUS_VID_NO_MEMORY_BLOCK_NOTIFICATION_QUEUE                           equ     0C0370016H
STATUS_VID_MEMORY_BLOCK_LOCK_COUNT_EXCEEDED                             equ     0C0370017H
STATUS_VID_INVALID_PPM_HANDLE                                           equ     0C0370018H
STATUS_VID_MBPS_ARE_LOCKED                                              equ     0C0370019H
STATUS_VID_MESSAGE_QUEUE_CLOSED                                         equ     0C037001AH
STATUS_VID_VIRTUAL_PROCESSOR_LIMIT_EXCEEDED                             equ     0C037001BH
STATUS_VID_STOP_PENDING                                                 equ     0C037001CH
STATUS_VID_INVALID_PROCESSOR_STATE                                      equ     0C037001DH
STATUS_VID_EXCEEDED_KM_CONTEXT_COUNT_LIMIT                              equ     0C037001EH
STATUS_VID_KM_INTERFACE_ALREADY_INITIALIZED                             equ     0C037001FH
STATUS_VID_MB_PROPERTY_ALREADY_SET_RESET                                equ     0C0370020H
STATUS_VID_MMIO_RANGE_DESTROYED                                         equ     0C0370021H
STATUS_VID_INVALID_CHILD_GPA_PAGE_SET                                   equ     0C0370022H
STATUS_VID_RESERVE_PAGE_SET_IS_BEING_USED                               equ     0C0370023H
STATUS_VID_RESERVE_PAGE_SET_TOO_SMALL                                   equ     0C0370024H
STATUS_VID_MBP_ALREADY_LOCKED_USING_RESERVED_PAGE                       equ     0C0370025H
STATUS_VID_MBP_COUNT_EXCEEDED_LIMIT                                     equ     0C0370026H
STATUS_VID_SAVED_STATE_CORRUPT                                          equ     0C0370027H
STATUS_VID_SAVED_STATE_UNRECOGNIZED_ITEM                                equ     0C0370028H
STATUS_VID_SAVED_STATE_INCOMPATIBLE                                     equ     0C0370029H
STATUS_VID_REMOTE_NODE_PARENT_GPA_PAGES_USED                            equ     080370001H
STATUS_IPSEC_BAD_SPI                                                    equ     0C0360001H
STATUS_IPSEC_SA_LIFETIME_EXPIRED                                        equ     0C0360002H
STATUS_IPSEC_WRONG_SA                                                   equ     0C0360003H
STATUS_IPSEC_REPLAY_CHECK_FAILED                                        equ     0C0360004H
STATUS_IPSEC_INVALID_PACKET                                             equ     0C0360005H
STATUS_IPSEC_INTEGRITY_CHECK_FAILED                                     equ     0C0360006H
STATUS_IPSEC_CLEAR_TEXT_DROP                                            equ     0C0360007H
STATUS_VOLMGR_INCOMPLETE_REGENERATION                                   equ     080380001H
STATUS_VOLMGR_INCOMPLETE_DISK_MIGRATION                                 equ     080380002H
STATUS_VOLMGR_DATABASE_FULL                                             equ     0C0380001H
STATUS_VOLMGR_DISK_CONFIGURATION_CORRUPTED                              equ     0C0380002H
STATUS_VOLMGR_DISK_CONFIGURATION_NOT_IN_SYNC                            equ     0C0380003H
STATUS_VOLMGR_PACK_CONFIG_UPDATE_FAILED                                 equ     0C0380004H
STATUS_VOLMGR_DISK_CONTAINS_NON_SIMPLE_VOLUME                           equ     0C0380005H
STATUS_VOLMGR_DISK_DUPLICATE                                            equ     0C0380006H
STATUS_VOLMGR_DISK_DYNAMIC                                              equ     0C0380007H
STATUS_VOLMGR_DISK_ID_INVALID                                           equ     0C0380008H
STATUS_VOLMGR_DISK_INVALID                                              equ     0C0380009H
STATUS_VOLMGR_DISK_LAST_VOTER                                           equ     0C038000AH
STATUS_VOLMGR_DISK_LAYOUT_INVALID                                       equ     0C038000BH
STATUS_VOLMGR_DISK_LAYOUT_NON_BASIC_BETWEEN_BASIC_PARTITIONS            equ     0C038000CH
STATUS_VOLMGR_DISK_LAYOUT_NOT_CYLINDER_ALIGNED                          equ     0C038000DH
STATUS_VOLMGR_DISK_LAYOUT_PARTITIONS_TOO_SMALL                          equ     0C038000EH
STATUS_VOLMGR_DISK_LAYOUT_PRIMARY_BETWEEN_LOGICAL_PARTITIONS            equ     0C038000FH
STATUS_VOLMGR_DISK_LAYOUT_TOO_MANY_PARTITIONS                           equ     0C0380010H
STATUS_VOLMGR_DISK_MISSING                                              equ     0C0380011H
STATUS_VOLMGR_DISK_NOT_EMPTY                                            equ     0C0380012H
STATUS_VOLMGR_DISK_NOT_ENOUGH_SPACE                                     equ     0C0380013H
STATUS_VOLMGR_DISK_REVECTORING_FAILED                                   equ     0C0380014H
STATUS_VOLMGR_DISK_SECTOR_SIZE_INVALID                                  equ     0C0380015H
STATUS_VOLMGR_DISK_SET_NOT_CONTAINED                                    equ     0C0380016H
STATUS_VOLMGR_DISK_USED_BY_MULTIPLE_MEMBERS                             equ     0C0380017H
STATUS_VOLMGR_DISK_USED_BY_MULTIPLE_PLEXES                              equ     0C0380018H
STATUS_VOLMGR_DYNAMIC_DISK_NOT_SUPPORTED                                equ     0C0380019H
STATUS_VOLMGR_EXTENT_ALREADY_USED                                       equ     0C038001AH
STATUS_VOLMGR_EXTENT_NOT_CONTIGUOUS                                     equ     0C038001BH
STATUS_VOLMGR_EXTENT_NOT_IN_PUBLIC_REGION                               equ     0C038001CH
STATUS_VOLMGR_EXTENT_NOT_SECTOR_ALIGNED                                 equ     0C038001DH
STATUS_VOLMGR_EXTENT_OVERLAPS_EBR_PARTITION                             equ     0C038001EH
STATUS_VOLMGR_EXTENT_VOLUME_LENGTHS_DO_NOT_MATCH                        equ     0C038001FH
STATUS_VOLMGR_FAULT_TOLERANT_NOT_SUPPORTED                              equ     0C0380020H
STATUS_VOLMGR_INTERLEAVE_LENGTH_INVALID                                 equ     0C0380021H
STATUS_VOLMGR_MAXIMUM_REGISTERED_USERS                                  equ     0C0380022H
STATUS_VOLMGR_MEMBER_IN_SYNC                                            equ     0C0380023H
STATUS_VOLMGR_MEMBER_INDEX_DUPLICATE                                    equ     0C0380024H
STATUS_VOLMGR_MEMBER_INDEX_INVALID                                      equ     0C0380025H
STATUS_VOLMGR_MEMBER_MISSING                                            equ     0C0380026H
STATUS_VOLMGR_MEMBER_NOT_DETACHED                                       equ     0C0380027H
STATUS_VOLMGR_MEMBER_REGENERATING                                       equ     0C0380028H
STATUS_VOLMGR_ALL_DISKS_FAILED                                          equ     0C0380029H
STATUS_VOLMGR_NO_REGISTERED_USERS                                       equ     0C038002AH
STATUS_VOLMGR_NO_SUCH_USER                                              equ     0C038002BH
STATUS_VOLMGR_NOTIFICATION_RESET                                        equ     0C038002CH
STATUS_VOLMGR_NUMBER_OF_MEMBERS_INVALID                                 equ     0C038002DH
STATUS_VOLMGR_NUMBER_OF_PLEXES_INVALID                                  equ     0C038002EH
STATUS_VOLMGR_PACK_DUPLICATE                                            equ     0C038002FH
STATUS_VOLMGR_PACK_ID_INVALID                                           equ     0C0380030H
STATUS_VOLMGR_PACK_INVALID                                              equ     0C0380031H
STATUS_VOLMGR_PACK_NAME_INVALID                                         equ     0C0380032H
STATUS_VOLMGR_PACK_OFFLINE                                              equ     0C0380033H
STATUS_VOLMGR_PACK_HAS_QUORUM                                           equ     0C0380034H
STATUS_VOLMGR_PACK_WITHOUT_QUORUM                                       equ     0C0380035H
STATUS_VOLMGR_PARTITION_STYLE_INVALID                                   equ     0C0380036H
STATUS_VOLMGR_PARTITION_UPDATE_FAILED                                   equ     0C0380037H
STATUS_VOLMGR_PLEX_IN_SYNC                                              equ     0C0380038H
STATUS_VOLMGR_PLEX_INDEX_DUPLICATE                                      equ     0C0380039H
STATUS_VOLMGR_PLEX_INDEX_INVALID                                        equ     0C038003AH
STATUS_VOLMGR_PLEX_LAST_ACTIVE                                          equ     0C038003BH
STATUS_VOLMGR_PLEX_MISSING                                              equ     0C038003CH
STATUS_VOLMGR_PLEX_REGENERATING                                         equ     0C038003DH
STATUS_VOLMGR_PLEX_TYPE_INVALID                                         equ     0C038003EH
STATUS_VOLMGR_PLEX_NOT_RAID5                                            equ     0C038003FH
STATUS_VOLMGR_PLEX_NOT_SIMPLE                                           equ     0C0380040H
STATUS_VOLMGR_STRUCTURE_SIZE_INVALID                                    equ     0C0380041H
STATUS_VOLMGR_TOO_MANY_NOTIFICATION_REQUESTS                            equ     0C0380042H
STATUS_VOLMGR_TRANSACTION_IN_PROGRESS                                   equ     0C0380043H
STATUS_VOLMGR_UNEXPECTED_DISK_LAYOUT_CHANGE                             equ     0C0380044H
STATUS_VOLMGR_VOLUME_CONTAINS_MISSING_DISK                              equ     0C0380045H
STATUS_VOLMGR_VOLUME_ID_INVALID                                         equ     0C0380046H
STATUS_VOLMGR_VOLUME_LENGTH_INVALID                                     equ     0C0380047H
STATUS_VOLMGR_VOLUME_LENGTH_NOT_SECTOR_SIZE_MULTIPLE                    equ     0C0380048H
STATUS_VOLMGR_VOLUME_NOT_MIRRORED                                       equ     0C0380049H
STATUS_VOLMGR_VOLUME_NOT_RETAINED                                       equ     0C038004AH
STATUS_VOLMGR_VOLUME_OFFLINE                                            equ     0C038004BH
STATUS_VOLMGR_VOLUME_RETAINED                                           equ     0C038004CH
STATUS_VOLMGR_NUMBER_OF_EXTENTS_INVALID                                 equ     0C038004DH
STATUS_VOLMGR_DIFFERENT_SECTOR_SIZE                                     equ     0C038004EH
STATUS_VOLMGR_BAD_BOOT_DISK                                             equ     0C038004FH
STATUS_VOLMGR_PACK_CONFIG_OFFLINE                                       equ     0C0380050H
STATUS_VOLMGR_PACK_CONFIG_ONLINE                                        equ     0C0380051H
STATUS_VOLMGR_NOT_PRIMARY_PACK                                          equ     0C0380052H
STATUS_VOLMGR_PACK_LOG_UPDATE_FAILED                                    equ     0C0380053H
STATUS_VOLMGR_NUMBER_OF_DISKS_IN_PLEX_INVALID                           equ     0C0380054H
STATUS_VOLMGR_NUMBER_OF_DISKS_IN_MEMBER_INVALID                         equ     0C0380055H
STATUS_VOLMGR_VOLUME_MIRRORED                                           equ     0C0380056H
STATUS_VOLMGR_PLEX_NOT_SIMPLE_SPANNED                                   equ     0C0380057H
STATUS_VOLMGR_NO_VALID_LOG_COPIES                                       equ     0C0380058H
STATUS_VOLMGR_PRIMARY_PACK_PRESENT                                      equ     0C0380059H
STATUS_VOLMGR_NUMBER_OF_DISKS_INVALID                                   equ     0C038005AH
STATUS_BCD_NOT_ALL_ENTRIES_IMPORTED                                     equ     080390001H
STATUS_BCD_TOO_MANY_ELEMENTS                                            equ     0C0390002H
STATUS_BCD_NOT_ALL_ENTRIES_SYNCHRONIZED                                 equ     080390003H
STATUS_VHD_DRIVE_FOOTER_MISSING                                         equ     0C03A0001H
STATUS_VHD_DRIVE_FOOTER_CHECKSUM_MISMATCH                               equ     0C03A0002H
STATUS_VHD_DRIVE_FOOTER_CORRUPT                                         equ     0C03A0003H
STATUS_VHD_FORMAT_UNKNOWN                                               equ     0C03A0004H
STATUS_VHD_FORMAT_UNSUPPORTED_VERSION                                   equ     0C03A0005H
STATUS_VHD_SPARSE_HEADER_CHECKSUM_MISMATCH                              equ     0C03A0006H
STATUS_VHD_SPARSE_HEADER_UNSUPPORTED_VERSION                            equ     0C03A0007H
STATUS_VHD_SPARSE_HEADER_CORRUPT                                        equ     0C03A0008H
STATUS_VHD_BLOCK_ALLOCATION_FAILURE                                     equ     0C03A0009H
STATUS_VHD_BLOCK_ALLOCATION_TABLE_CORRUPT                               equ     0C03A000AH
STATUS_VHD_INVALID_BLOCK_SIZE                                           equ     0C03A000BH
STATUS_VHD_BITMAP_MISMATCH                                              equ     0C03A000CH
STATUS_VHD_PARENT_VHD_NOT_FOUND                                         equ     0C03A000DH
STATUS_VHD_CHILD_PARENT_ID_MISMATCH                                     equ     0C03A000EH
STATUS_VHD_CHILD_PARENT_TIMESTAMP_MISMATCH                              equ     0C03A000FH
STATUS_VHD_METADATA_READ_FAILURE                                        equ     0C03A0010H
STATUS_VHD_METADATA_WRITE_FAILURE                                       equ     0C03A0011H
STATUS_VHD_INVALID_SIZE                                                 equ     0C03A0012H
STATUS_VHD_INVALID_FILE_SIZE                                            equ     0C03A0013H
STATUS_QUERY_STORAGE_ERROR                                              equ     0803A0001H

#endif ;NTSTATUS_INC
